Imports System
Imports System.Collections
Imports System.Drawing
Imports System.Windows.Forms
Imports GTA
Public Class Zombies
    Inherits Script
    Private Son As Boolean = False
    Private ZAN As Boolean = False
    Private ZOM As Boolean = False
    Private ZAN2 As Boolean = False
    Private ZAN3 As Boolean = False
    Private nite As Boolean = False
    Private zappop As Integer = Settings.GetValueInteger("Zombies And Pedestrians Population", "SETTINGS", 1)
    Private zpop As Integer = Settings.GetValueInteger("Everybody's Becoming A Zombie Population", "SETTINGS", 1)
    Private animzom As New AnimationSet("amb@drunk")
    Private animflags As AnimationFlags = AnimationFlags.Unknown12 Or AnimationFlags.Unknown11 Or AnimationFlags.Unknown10 Or AnimationFlags.Unknown09 'Or AnimationFlags.Unknown08 Or AnimationFlags.Unknown07 Or AnimationFlags.Unknown06 Or AnimationFlags.Unknown05 Or AnimationFlags.Unknown04 Or AnimationFlags.Unknown03 Or AnimationFlags.Unknown02 Or AnimationFlags.Unknown01
    Private Group As Group = Player.Group
    Public Sub New()
        Me.interval = 400
        settings.load()
        BindKey(Settings.GetValueKey("Toggle Script", "SETTINGS", Keys.F7), New KeyPressDelegate(AddressOf ScriptOn))
        BindKey(Settings.GetValueKey("Toggle Zombie Night Script", "SETTINGS", Keys.F4), New KeyPressDelegate(AddressOf ZombiesAtNight))
        BindKey(Settings.GetValueKey("Toggle Zombie Animation", "SETTINGS", Keys.I), New KeyPressDelegate(AddressOf ZombieAnimationToggle))
        BindKey(Settings.GetValueKey("Toggle Running And Slow Zombies Animation", "SETTINGS", Keys.U), New KeyPressDelegate(AddressOf ZombieAnimationToggle2))
        BindKey(Settings.GetValueKey("Toggle Zombies With Peds Or All Zombies", "SETTINGS", Keys.Delete), New KeyPressDelegate(AddressOf ZombieChoice))
    End Sub

    Public Sub WorldSetUp()
        If SON Then
            World.UnlockAllIslands()
            Game.AllowEmergencyServices = False
            With Player.Character
                .Weapons.MP5.Ammo += 240
                .Weapons.DesertEagle.Ammo += 200
                '.Weapons.BarettaShotgun.Ammo += 80
                .Weapons.BasicShotgun.Ammo += 80
                .Weapons.MolotovCocktails.Ammo += 25
                .Weapons.AssaultRifle_AK47.Ammo += 225
                '.Weapons.BasicSniperRifle.Ammo += 50 'for some reason brings up better SniperRifle_M40A1
                .Weapons.SniperRifle_M40A1.Ammo += 50
                '.Weapons.RocketLauncher.Ammo += 8
            End With
        End If
    End Sub
    Private Function RandomNumber(ByVal min As Integer, ByVal max As Integer) As Integer
        Dim random As New Random()
        Return random.Next(min, max)
    End Function

    Private Sub Infectedpeds_Tick(ByVal sender As Object, ByVal e As EventArgs) Handles MyBase.Tick
        If SON Then
            If Not nite Then
                If Not ZOM Then
                    Dim vehicle As vehicle = world.getclosestvehicle(player.character.position, 2.0)
                    If player.character.isinvehicle = False Or player.character.isinvehicle = True AndAlso exists(vehicle) AndAlso vehicle IsNot Nothing AndAlso vehicle.speed <= 2.0 Then
                        Dim peds As Ped() = World.GetallPeds()
                        For Each ped As Ped In peds
                            If Not Exists(ped) OrElse ped Is Nothing Then
                                Continue For
                            End If
                            If exists(ped) AndAlso ped IsNot Nothing AndAlso ped.isrequiredformission = False AndAlso Ped.RelationshipGroup = RelationshipGroup.Player = False AndAlso ped.isinvehicle = False AndAlso ped.pedtype = pedtype.civmale = True AndAlso ped.isalive = True AndAlso ped.RelationshipGroup = relationshipgroup.dealer = False AndAlso ped.isonscreen = False AndAlso ped.RelationshipGroup = relationshipgroup.criminal = False AndAlso ped.RelationshipGroup = relationshipgroup.medic = False AndAlso Ped.RelationshipGroup = RelationshipGroup.cop = False AndAlso ped.isaliveandwell = True Then
                                If Player.Character.Position.DistanceTo(Ped.Position) >= 10.0F Then
                                    Zombie(ped)
                                End If
                            End If
                            If exists(ped) AndAlso ped IsNot Nothing AndAlso Ped.RelationshipGroup = RelationshipGroup.cop = True AndAlso ped.health < 20 Then
                                Zombie(ped)
                            End If
                        Next
                    End If
                End If
            End If
        End If


    End Sub
    Private Sub Infectedpeds2_Tick(ByVal sender As Object, ByVal e As EventArgs) Handles MyBase.Tick
        If SON Then
            If Not nite Then
                If Not ZOM Then
                    Dim vehicle As vehicle = world.getclosestvehicle(player.character.position, 2.0)
                    If player.character.isinvehicle = False Or player.character.isinvehicle = True AndAlso exists(vehicle) AndAlso vehicle IsNot Nothing AndAlso vehicle.speed <= 2.0 Then
                        Dim peds As Ped() = World.GetallPeds()
                        For Each ped As Ped In peds
                            If Not Exists(ped) OrElse ped Is Nothing Then
                                Continue For
                            End If
                            If exists(ped) AndAlso ped IsNot Nothing AndAlso ped.isrequiredformission = False AndAlso Ped.RelationshipGroup = RelationshipGroup.Player = False AndAlso ped.isinvehicle = False AndAlso ped.pedtype = pedtype.civmale = True AndAlso ped.isalive = True AndAlso ped.RelationshipGroup = relationshipgroup.dealer = False AndAlso ped.isonscreen = False AndAlso ped.RelationshipGroup = relationshipgroup.criminal = False AndAlso ped.isincombat = False AndAlso ped.RelationshipGroup = relationshipgroup.medic = False AndAlso ped.isaliveandwell = True Or exists(ped) AndAlso ped IsNot Nothing AndAlso Ped.RelationshipGroup = RelationshipGroup.cop = True AndAlso ped.health < 20 Then '
                                If Player.Character.Position.DistanceTo(Ped.Position) >= 10.0F Then
                                    If Player.Character.Position.DistanceTo(Ped.Position) <= 21.0F Then
                                        Zombie(ped)
                                    End If
                                End If
                            End If
                        Next
                    End If
                End If
            End If
        End If
    End Sub
    Private Sub InfectedPeds3_Tick(ByVal sender As Object, ByVal e As EventArgs) Handles MyBase.Tick
        If SON Then
            If Not nite Then
                If ZOM Then
                    player.wantedlevel = 0
                    Dim peds As Ped() = World.GetAllPeds() '(player.character.position.around(9.0F), 455.9, 45)
                    For Each ped As Ped In peds
                        If Not Exists(ped) OrElse ped Is Nothing Then
                            Continue For
                        End If
                        If exists(ped) AndAlso ped IsNot Nothing AndAlso ped.isrequiredformission = False AndAlso Ped.RelationshipGroup = RelationshipGroup.Player = False AndAlso ped.isinvehicle = False AndAlso ped.isalive = True AndAlso ped.RelationshipGroup = relationshipgroup.dealer = False AndAlso ped.RelationshipGroup = relationshipgroup.criminal = False AndAlso ped.isincombat = False Then
                            Zombie(ped)
                            If exists(ped) AndAlso ped IsNot Nothing AndAlso ped.isonscreen = True Then
                                ped.task.goto(player.character.position, True)
                            End If
                            If player.character.isinvehicle = False Then
                                If exists(ped) AndAlso ped IsNot Nothing AndAlso ped.isonscreen = False Then
                                    ped.task.goto(player.character.position, False)
                                End If
                            End If
                        End If
                        If Exists(ped) AndAlso ped IsNot Nothing AndAlso ped.isrequiredformission = False AndAlso ped.isingroup = False AndAlso ped.pedtype = pedtype.fireman = True AndAlso ped.isonfire = False AndAlso Native.Function.Call(Of Boolean)("IS_CHAR_GETTING_UP", ped) = False AndAlso ped.isaliveandwell = True AndAlso ped.isragdoll = False Then
                            ped.isonfire = True
                            ped.MakeProofTo(False, True, False, False, False)
                        End If

                        If exists(ped) AndAlso ped IsNot Nothing AndAlso ped.isinvehicle = True AndAlso ped = player.character = False AndAlso ped.isingroup = False AndAlso ped.isrequiredformission = False Then 'AndAlso vehicle.model.ishelicopter = False
                            ped.delete()
                        End If
                        If exists(ped) AndAlso ped IsNot Nothing AndAlso ped.isrequiredformission = True AndAlso ped.isingroup = False AndAlso ped = player.character = False AndAlso ped.isinvehicle = True AndAlso player.character.position.distanceto(ped.position) >= 195.0F Then
                            ped.nolongerneeded()
                        End If
                        If exists(ped) AndAlso ped IsNot Nothing AndAlso ped.isrequiredformission = True AndAlso ped.isingroup = False AndAlso ped = player.character = False AndAlso ped.isinvehicle = False AndAlso player.character.position.distanceto(ped.position) >= 60.0F Then 'vehicle.model.ishelicopter = False Then
                            ped.nolongerneeded()
                        End If
                        'If exists(ped) AndAlso ped IsNot Nothing AndAlso ped.isinvehicle = True AndAlso ped.isdead = False AndAlso ped.relationshipgroup = relationshipgroup.player = False AndAlso ped.isingroup = False AndAlso ped.pedtype = pedtype.cop = False AndAlso ped.relationshipgroup = relationshipgroup.cop = False AndAlso ped = player.character = False Then
                        'ped.delete()
                        'End If
                    Next

                End If
            End If
        End If
    End Sub
    Private Sub StoppedVehicles_Tick(ByVal sender As Object, ByVal e As EventArgs) Handles MyBase.Tick
        If SON Then
            If ZOM Then
                If Not nite Then
                    Dim vehicles1 As vehicle() = world.getvehicles(player.character.position, 185.0F)
                    For Each vehicle As Vehicle In vehicles1
                        If Not exists(vehicle) OrElse vehicle Is Nothing Then
                            Continue For
                        End If
                        Native.Function.Call("Apply_Force_To_Car", vehicle, True, 0.0F, 0.0F, -0.01F, 0.0F, 0.0F, 0.0F, True, False, True, True)
                        If exists(vehicle) AndAlso vehicle IsNot Nothing AndAlso vehicle.isonfire = True Then
                            Native.Function.Call("FREEZE_CAR_POSITION", vehicle, False)
                        End If
                        If exists(vehicle) AndAlso vehicle IsNot Nothing AndAlso vehicle.isdriveable = False Then
                            Native.Function.Call("FREEZE_CAR_POSITION", vehicle, False)
                        End If
                        If exists(vehicle) AndAlso vehicle IsNot Nothing AndAlso vehicle.isalive = False Then
                            Native.Function.Call("FREEZE_CAR_POSITION", vehicle, False)
                        End If
                        If exists(vehicle) AndAlso vehicle IsNot Nothing AndAlso vehicle.model.iscar AndAlso vehicle.speed > 0 AndAlso vehicle.isrequiredformission = False AndAlso player.character.position.distanceto(vehicle.position) >= 5.0F Or exists(vehicle) AndAlso vehicle IsNot Nothing AndAlso vehicle.model.isbike AndAlso vehicle.speed > 0 AndAlso vehicle.isrequiredformission = False AndAlso player.character.position.distanceto(vehicle.position) >= 5.0F Then
                            Native.Function.Call("FREEZE_CAR_POSITION", vehicle, True)
                            Native.Function.Call("FORCE_CAR_LIGHTS", vehicle, 1)
                            If exists(vehicle) AndAlso Native.Function.Call(Of Boolean)("SET_CAR_ENGINE_ON", vehicle, 0, 0) = False Then
                                Native.Function.Call("SET_CAR_ENGINE_ON", vehicle, 0, 0)
                            End If
                        End If
                        If exists(vehicle) AndAlso vehicle IsNot Nothing AndAlso vehicle.model.iscar AndAlso vehicle.speed = 0 AndAlso vehicle.isrequiredformission = False AndAlso player.character.position.distanceto(vehicle.position) >= 1.0F Or exists(vehicle) AndAlso vehicle IsNot Nothing AndAlso vehicle.model.isbike AndAlso vehicle.speed = 0 AndAlso vehicle.isrequiredformission = False AndAlso player.character.position.distanceto(vehicle.position) >= 1.0F Then
                            Native.Function.Call("FORCE_CAR_LIGHTS", vehicle, 1)
                            Native.Function.Call("FREEZE_CAR_POSITION", vehicle, False)
                        End If
                        If exists(vehicle) AndAlso vehicle IsNot Nothing AndAlso player.character.isinvehicle = True Then
                            Native.Function.Call("FORCE_CAR_LIGHTS", vehicle, 0)
                            If exists(vehicle) AndAlso vehicle.EngineRunning = False Then
                                vehicle.NeedsToBeHotwired = True
                            End If
                        End If
                    Next
                End If
            End If




        End If
    End Sub
    Private Sub PopulationDensity_Tick(ByVal sender As Object, ByVal e As EventArgs) Handles MyBase.Tick
        If SON Then
            If Not nite Then
                If ZOM Then
                    world.peddensity = zpop
                    'game.displaytext("Density: " & zpop, 1000) ' for debug
                End If

                If Not ZOM Then
                    world.peddensity = zappop
                    'game.displaytext("Density: " & zappop, 1000)  ' for debug
                End If
            End If
        End If
    End Sub

    Private Sub ZombieChoice()
        If SON Then
            If Not nite Then
                ZOM = Not ZOM
                If ZOM Then
                    'world.peddensity = zpop  ' had to put it on a repeatitive tick to work
                    world.cardensity = 1.3
                    Native.Function.Call("PRINT_STRING_WITH_LITERAL_STRING_NOW", "STRING", "'Everyone's Becoming a Zombie!' Activated", 4000, 1)

                Else
                    'world.peddensity = zappop ' had to put it on a repeatitive tick to work
                    world.cardensity = 1.1
                    Native.Function.Call("PRINT_STRING_WITH_LITERAL_STRING_NOW", "STRING", "'Zombies and Pedestrians' Activated", 4000, 1)
                    Dim vehicles As vehicle() = world.getallvehicles()
                    For Each vehicle As Vehicle In vehicles
                        If exists(vehicle) AndAlso vehicle IsNot Nothing AndAlso vehicle.model = "faggio" = False Then
                            vehicle.nolongerneeded()
                        End If
                    Next


                End If
            End If
        End If
    End Sub
    Private Sub Zombie(ByVal ped As ped)
        If exists(ped) AndAlso ped IsNot Nothing Then
            Ped.CancelAmbientSpeech()
            ped.weapons.removeall()
            ped.senserange = 4.0
            Ped.WillUseCarsInCombat = False
            Ped.AlwaysDiesOnLowHealth = True
            ped.enemy = True
            ped.maxhealth = 300
            ped.Health = 300
            Ped.Money = 0
            ped.RelationshipGroup = relationshipgroup.dealer
            ped.ChangeRelationship(relationshipgroup.Civillian_male, relationship.companion)
            ped.ChangeRelationship(relationshipgroup.fireman, relationship.companion)
            ped.ChangeRelationship(relationshipgroup.medic, relationship.companion)
            ped.ChangeRelationship(relationshipgroup.dealer, relationship.companion)
            ped.ChangeRelationship(relationshipgroup.cop, relationship.companion)
            ped.ChangeRelationship(relationshipgroup.criminal, relationship.companion)
            ped.ChangeRelationship(relationshipgroup.Civillian_Female, relationship.companion)
            ped.ChangeRelationship(relationshipgroup.player, relationship.companion)
            Ped.Voice = "M_ZOMBIE"
            Native.Function.Call("SET_PED_DONT_DO_EVASIVE_DIVES", Ped, True)
            Native.Function.Call("SET_CHAR_DIES_INSTANTLY_IN_WATER", ped, True)
            Native.Function.Call("SET_CHAR_WILL_MOVE_WHEN_INJURED", ped, False)
            Native.Function.Call("SET_CHAR_FIRE_DAMAGE_MULTIPLIER", Ped, 99) 'number is multiplier
            Native.Function.Call("SET_PED_PATH_MAY_DROP_FROM_HEIGHT", ped, True)
            Native.Function.Call("SET_PED_PATH_MAY_USE_CLIMBOVERS", ped, True)
            Native.Function.Call("SET_PED_PATH_MAY_USE_LADDERS", ped, True)
            Native.Function.Call("SAY_AMBIENT_SPEECH", Ped, "MOAN", 1, 1, 2)

            If Not ZAN Then
                If Not ZAN2 Then
                    Dim random As New Random()
                    Dim x As Integer = RandomNumber(0, 2)
                    If x = 0 Then
                        Native.Function.Call("SET_ANIM_GROUP_FOR_CHAR", Ped, "move_injured_lower")
                        Native.Function.Call("Set_Char_Move_Anim_Speed_Multiplier", Ped, 1.4F)
                        ped.Task.PlayAnimation(animzom, "bum_fight", 10.0F, animflags)
                    End If
                    If x = 1 Then
                        Native.Function.Call("SET_ANIM_GROUP_FOR_CHAR", Ped, "move_injured_upper")
                        Native.Function.Call("Set_Char_Move_Anim_Speed_Multiplier", Ped, 1.6F)
                        ped.Task.PlayAnimation(animzom, "bum_fight", 10.0F, animflags)
                    End If
                End If

            End If
            If ZAN Then
                If Not ZAN2 Then
                    Dim random As New Random()
                    Dim w As Integer = RandomNumber(0, 2)
                    If w = 0 Then
                        Native.Function.Call("SET_ANIM_GROUP_FOR_CHAR", Ped, "move_injured_upper")
                        Native.Function.Call("Set_Char_Move_Anim_Speed_Multiplier", Ped, 1.6F)
                        ped.Task.PlayAnimation(animzom, "bum_fight", 10.0F, animflags)
                    End If
                    If w = 1 Then
                        Native.Function.Call("SET_ANIM_GROUP_FOR_CHAR", Ped, "move_m@bum")
                        ped.animation.Play(animzom, "bum_fight", 10.0F, animflags)
                        Native.Function.Call("Set_Char_Move_Anim_Speed_Multiplier", Ped, 1.3F)
                    End If
                End If
            End If

            If ZAN2 Then
                Dim random As New Random()
                Dim v As Integer = RandomNumber(0, 3)
                If v = 0 Then
                    Native.Function.Call("SET_ANIM_GROUP_FOR_CHAR", Ped, "move_injured_lower")
                    Native.Function.Call("Set_Char_Move_Anim_Speed_Multiplier", Ped, 1.4F)
                    ped.Task.PlayAnimation(animzom, "bum_fight", 10.0F, animflags)
                End If
                If v = 1 Then
                    Native.Function.Call("SET_ANIM_GROUP_FOR_CHAR", Ped, "move_injured_upper")
                    Native.Function.Call("Set_Char_Move_Anim_Speed_Multiplier", Ped, 1.6F)
                    ped.Task.PlayAnimation(animzom, "bum_fight", 10.0F, animflags)
                End If
                If v = 2 Then
                    Native.Function.Call("SET_ANIM_GROUP_FOR_CHAR", Ped, "move_m@bum")
                    ped.animation.Play(animzom, "bum_fight", 10.0F, animflags)
                    Native.Function.Call("Set_Char_Move_Anim_Speed_Multiplier", Ped, 1.3F)
                End If
            End If
        End If
    End Sub
    Private Sub ZombieAnimationToggle()
        If SON Then
            If Not nite Then
                ZAN = Not ZAN
                If ZAN Then
                    Dim peds As Ped() = World.GetallPeds()
                    For Each ped As Ped In peds
                        If Not Exists(ped) OrElse ped Is Nothing Then
                            Continue For
                        End If
                        If exists(ped) AndAlso ped IsNot Nothing AndAlso ped.RelationshipGroup = RelationshipGroup.dealer = True AndAlso Ped.isdead = False Then
                            Native.Function.Call("SET_ANIM_GROUP_FOR_CHAR", Ped, "move_m@bum") 'fast
                            ped.animation.Play(animzom, "bum_fight", 10.0F, animflags)
                            Native.Function.Call("Set_Char_Move_Anim_Speed_Multiplier", Ped, 1.3F)
                        End If
                    Next
                    Native.Function.Call("PRINT_STRING_WITH_LITERAL_STRING_NOW", "STRING", "'Faster Zombies' Activated", 4000, 1)
                Else
                    Dim peds As Ped() = World.GetallPeds()
                    For Each ped As Ped In peds
                        If Not Exists(ped) OrElse ped Is Nothing Then
                            Continue For
                        End If
                        If exists(ped) AndAlso ped IsNot Nothing AndAlso ped.RelationshipGroup = RelationshipGroup.dealer = True AndAlso Ped.isdead = False Then
                            Native.Function.Call("SET_ANIM_GROUP_FOR_CHAR", Ped, "move_injured_lower")
                            Native.Function.Call("Set_Char_Move_Anim_Speed_Multiplier", Ped, 1.4F)
                            ped.Task.PlayAnimation(animzom, "bum_fight", 10.0F, animflags) ' - slow
                        End If
                    Next
                    Native.Function.Call("PRINT_STRING_WITH_LITERAL_STRING_NOW", "STRING", "'Slower Zombies' Activated", 4000, 1)
                End If
            End If
        End If
    End Sub
    Private Sub ZombieAnimationToggle2()
        If SON Then
            If Not nite Then
                ZAN2 = Not ZAN2
                If ZAN2 Then
                    Native.Function.Call("PRINT_STRING_WITH_LITERAL_STRING_NOW", "STRING", "'All Zombie Speeds' Activated", 4000, 1)
                    If ZAN Then
                    End If
                    If Not ZAN Then
                    End If
                Else
                    If ZAN Then
                        Native.Function.Call("PRINT_STRING_WITH_LITERAL_STRING_NOW", "STRING", "'Faster Zombies' Reactivated", 4000, 1)
                    End If
                    If Not ZAN Then
                        Native.Function.Call("PRINT_STRING_WITH_LITERAL_STRING_NOW", "STRING", "'Slower Zombies' Reactivated", 4000, 1)
                    End If
                End If
            End If
        End If
    End Sub
    Private Sub ZombiesAtNight()
        If SON Then
            nite = Not nite
            If nite Then
            Else
            End If
        End If
    End Sub
    Private Sub ScriptOn()
        SON = Not SON
        If SON Then
            WorldSetUp()
            Native.Function.Call("PRINT_STRING_WITH_LITERAL_STRING_NOW", "STRING", "Left 4 Liberty Infection v5.1 Activated", 4000, 1)
        Else
            world.peddensity = 1.0
            world.cardensity = 1.0
            Game.AllowEmergencyServices = True
            Native.Function.Call("PRINT_STRING_WITH_LITERAL_STRING_NOW", "STRING", "Left 4 Liberty Infection v5.1 Deactivated", 4000, 1)
            Dim peds As Ped() = World.GetallPeds()
            For Each ped As Ped In peds
                If Not Exists(ped) OrElse ped Is Nothing Then
                    Continue For
                End If
                If exists(ped) AndAlso ped IsNot Nothing AndAlso ped.RelationshipGroup = RelationshipGroup.dealer = True AndAlso ped = player.character = False Then
                    ped.delete()
                End If
            Next
            Dim vehicles As vehicle() = world.getvehicles(player.character.position, 3000.0F)
            For Each vehicle As Vehicle In vehicles
                If exists(vehicle) AndAlso vehicle IsNot Nothing Then
                    vehicle.nolongerneeded()
                End If
            Next
        End If
    End Sub
End Class

    
Public Class ClearLocalizedInfectedForLoad
    Inherits Script
    Private nite As Boolean = False
    Private SON As Boolean = False
    Public Sub New()
        Me.interval = 885
        settings.load()
        BindKey(Settings.GetValueKey("Toggle Script", "SETTINGS", Keys.F7), New KeyPressDelegate(AddressOf ScriptOn))
        BindKey(Settings.GetValueKey("Toggle Zombie Night Script", "SETTINGS", Keys.F4), New KeyPressDelegate(AddressOf ZombiesAtNight))
    End Sub
    Public Sub ClearOutLocalizedInfectedToLoad_Tick(ByVal sender As Object, ByVal e As EventArgs) Handles MyBase.Tick
        If SON Then
            If Not nite Then
                Dim p As Ped = player.character
                If exists(p) AndAlso p.isdead = True Then
                    wait(3500)
                    Dim peds As Ped() = World.GetallPeds()
                    For Each ped As Ped In peds
                        If Not Exists(ped) OrElse ped Is Nothing Then
                            Continue For
                        End If
                        If exists(ped) AndAlso ped IsNot Nothing AndAlso Player.Character.Position.DistanceTo(ped.Position) <= 20.0F AndAlso ped = player.character = False Then
                            ped.die()
                            wait(60000)
                        End If
                    Next
                End If
            End If
        End If
    End Sub
    Private Sub ZombiesAtNight()
        If SON Then
            nite = Not nite
            If nite Then
            Else
            End If
        End If
    End Sub
    Private Sub ScriptOn()
        SON = Not SON
        If SON Then
        Else
        End If
    End Sub
End Class
Public Class ZombieRadiusTask
    Inherits Script
    Private nite As Boolean = False
    Private SON As Boolean = False
    Private ZOM As Boolean = False
    Private animzom As New AnimationSet("amb@drunk")
    Private animflags As AnimationFlags = AnimationFlags.Unknown12 Or AnimationFlags.Unknown11 Or AnimationFlags.Unknown10 Or AnimationFlags.Unknown09 'Or AnimationFlags.Unknown08 Or AnimationFlags.Unknown07 Or AnimationFlags.Unknown06 Or AnimationFlags.Unknown05 Or AnimationFlags.Unknown04 Or AnimationFlags.Unknown03 Or AnimationFlags.Unknown02 Or AnimationFlags.Unknown01
    Public Sub New()
        Me.interval = 674
        settings.load()
        BindKey(Settings.GetValueKey("Toggle Script", "SETTINGS", Keys.F7), New KeyPressDelegate(AddressOf ScriptOn))
        BindKey(Settings.GetValueKey("Toggle Zombie Night Script", "SETTINGS", Keys.F4), New KeyPressDelegate(AddressOf ZombiesAtNight))
        BindKey(Settings.GetValueKey("Toggle Zombies With Peds Or All Zombies", "SETTINGS", Keys.Delete), New KeyPressDelegate(AddressOf ZombieChoice))
    End Sub
    Private Sub KeepEmComing_Tick(ByVal sender As Object, ByVal e As EventArgs) Handles MyBase.Tick
        If SON Then
            If Not nite Then
                Dim peds As Ped() = World.GetallPeds()
                For Each ped As Ped In peds
                    If Not Exists(ped) OrElse ped Is Nothing Then
                        Continue For
                    End If
                    If player.character.isinvehicle = False Then
                        If exists(ped) AndAlso ped IsNot Nothing AndAlso ped.isrequiredformission = False AndAlso ped.RelationshipGroup = RelationshipGroup.dealer = True Then
                            If Player.Character.Position.DistanceTo(ped.Position) <= 4.5F Then
                                ped.task.goto(player)
                            End If
                        End If
                        If exists(ped) AndAlso ped IsNot Nothing AndAlso ped.isrequiredformission = False AndAlso ped.RelationshipGroup = RelationshipGroup.dealer = True Then
                            If Player.Character.Position.DistanceTo(ped.Position) <= 2.5F Then
                                ped.task.goto(player)
                            End If
                        End If
                    End If

                    If exists(ped) AndAlso ped IsNot Nothing AndAlso ped.isrequiredformission = False AndAlso Ped.RelationshipGroup = RelationshipGroup.dealer = True AndAlso Native.Function.Call(Of Boolean)("IS_CHAR_PLAYING_ANIM", ped, "amb@drunk", "bum_fight") = False AndAlso Player.Character.Position.DistanceTo(ped.Position) <= 12.0F Then
                        ped.Task.PlayAnimation(animzom, "bum_fight", 10.0F, animflags)
                    End If
                    If ZOM Then
                        If exists(ped) AndAlso ped IsNot Nothing AndAlso ped.isrequiredformission = False AndAlso Ped.RelationshipGroup = RelationshipGroup.dealer = True AndAlso ped.isonscreen = False Then
                            If Player.Character.Position.DistanceTo(ped.Position) >= 3.5F Then
                                Ped.task.goto(player)
                            End If
                        End If
                    End If
                    'Native.Function.Call(Of Boolean)("TASK_GO_TO_CHAR", ped, player)
                Next
            End If
        End If
    End Sub
    Private Sub ZombieChoice()
        If Not nite Then
            ZOM = Not ZOM
            If ZOM Then
            Else
            End If
        End If
    End Sub
    Private Sub ZombiesAtNight()
        If SON Then
            nite = Not nite
            If nite Then
            Else
            End If
        End If
    End Sub
    Private Sub ScriptOn()
        SON = Not SON
        If SON Then
        Else
        End If
    End Sub
End Class
    Public Class MissionCharacterCleanup
        Inherits Script
        Private SON As Boolean = False
        Private nite As Boolean = False
        Private Group As Group = Player.Group
        Public Sub New()
            Me.interval = 3020
            settings.load()
            BindKey(Settings.GetValueKey("Toggle Script", "SETTINGS", Keys.F7), New KeyPressDelegate(AddressOf ScriptOn))
            BindKey(Settings.GetValueKey("Toggle Zombie Night Script", "SETTINGS", Keys.F4), New KeyPressDelegate(AddressOf ZombiesAtNight))
        End Sub
        Private Sub MissionCharacterCleanup_Tick(ByVal sender As Object, ByVal e As EventArgs) Handles MyBase.Tick
            If son Then
                If Not nite Then
                    Dim peds As Ped() = World.GetallPeds()
                    For Each ped As ped In peds
                        If Not Exists(ped) OrElse ped Is Nothing Then
                            Continue For
                        End If
                        If exists(ped) AndAlso ped IsNot Nothing AndAlso ped.isrequiredformission = True AndAlso ped.isingroup = False AndAlso ped = player.character = False AndAlso ped.isinvehicle = False AndAlso player.character.position.distanceto(ped.position) >= 125.0 Then
                            ped.delete()
                        End If
                        If exists(ped) AndAlso ped IsNot Nothing AndAlso ped.isrequiredformission = True AndAlso ped.isingroup = False AndAlso ped = player.character = False AndAlso ped.isinvehicle = True AndAlso player.character.position.distanceto(ped.position) >= 200.0 Then
                            ped.nolongerneeded()
                        End If
                    Next
                End If
            End If
        End Sub
        Private Sub ZombiesAtNight()
            If SON Then
                nite = Not nite
                If nite Then
                Else
                End If
            End If
        End Sub
        Private Sub ScriptOn()
            SON = Not SON
            If SON Then
            Else
            End If
        End Sub
    End Class

    Public Class BodyGuards
        Inherits Script
        Private SON As Boolean = False
        Private inv As Boolean = False
        Private nite As Boolean = False
        Private Bguard As Boolean = False
        Private timer As New GTA.Timer
        Private Group As Group = Player.Group
        Public Sub New()
            Interval = 250
            settings.load()
            BindKey(Settings.GetValueKey("Toggle Script", "SETTINGS", Keys.F7), New KeyPressDelegate(AddressOf ScriptOn))
            BindKey(Settings.GetValueKey("Remove Existing Survivors", "SETTINGS", Keys.Y), New KeyPressDelegate(AddressOf BodyguardScript6))
            BindKey(Settings.GetValueKey("Search For Survivors", "SETTINGS", Keys.B), New KeyPressDelegate(AddressOf BodyguardScript1))
            BindKey(Settings.GetValueKey("Spawn Single Survivor", "SETTINGS", Keys.N), New KeyPressDelegate(AddressOf BodyguardScript7))
            BindKey(Settings.GetValueKey("Enable Survivor Invinciblity", "SETTINGS", Keys.F8), New KeyPressDelegate(AddressOf BodyguardScript10))
            BindKey(Settings.GetValueKey("Toggle Zombie Night Script", "SETTINGS", Keys.F4), New KeyPressDelegate(AddressOf ZombiesAtNight))
        End Sub
        Private Function RandomNumber(ByVal min As Integer, ByVal max As Integer) As Integer
            Dim random As New Random()
            Return random.Next(min, max)
        End Function
        Private Sub BodyguardScript1()
            If son Then
                Bguard = Not Bguard

                If Bguard Then
                    Native.Function.Call("PRINT_STRING_WITH_LITERAL_STRING_NOW", "STRING", "Survivors Activated", 4000, 1)
                Else
                    Native.Function.Call("PRINT_STRING_WITH_LITERAL_STRING_NOW", "STRING", "Survivors Deactivated", 4000, 1)
                End If
            End If

        End Sub
        Private Sub BodyguardScript_Tick(ByVal sender As Object, ByVal e As EventArgs) Handles MyBase.Tick
            If SON Then
                If Bguard Then
                    If timer.ElapsedTime >= 50000 Then
                        If Group.MemberCount < 3 Then
                            BodyguardScript5()
                            Native.Function.Call("PRINT_STRING_WITH_LITERAL_STRING_NOW", "STRING", "There Is A Survivor Out There Now", 4000, 1)
                        End If
                        timer.start()
                    End If
                End If
            End If
        End Sub
        Private Sub BodyguardScript5()
            Dim random As New Random()
            Dim dist2 As Integer = RandomNumber(20, 30)
            Dim p As Ped = World.CreatePed(Player.Character.Position.Around(dist2).toground, RelationshipGroup.Player)
            If exists(p) AndAlso p IsNot Nothing Then
                Weapon(p)
                P.WantedByPolice = False
                AddToGroup(p)
            Else
                P = World.CreatePed(Player.Character.Position.Around(dist2).toground, RelationshipGroup.Player)
                If exists(p) AndAlso p IsNot Nothing Then
                    Weapon(p)
                    P.WantedByPolice = False
                    AddToGroup(p)
                End If
            End If
        End Sub
        Private Sub BodyguardScript6()
            If SON Then
                For Each Member As Ped In Group
                    Member.Weapons.RemoveAll()
                    member.invincible = False
                    Member.nolongerneeded()
                    'member.delete()
                Next
                Native.Function.Call("PRINT_STRING_WITH_LITERAL_STRING_NOW", "STRING", "Removed Any Existing Group Members", 4000, 1)
            End If
        End Sub
        Private Sub BodyguardScript7()
            If SON Then
                If Group.MemberCount < 7 Then
                    Dim p As Ped = World.CreatePed(Player.Character.Position.Around(5.0).toground, RelationshipGroup.Player)
                    If exists(p) Then
                        Weapon(p)
                        P.WantedByPolice = False
                        AddToGroup(p)
                    Else
                        P = World.CreatePed(Player.Character.Position.Around(5.0).toground, RelationshipGroup.Player)
                        If exists(p) Then
                            Weapon(p)
                            P.WantedByPolice = False
                            AddToGroup(p)
                        End If
                    End If
                    Native.Function.Call("PRINT_STRING_WITH_LITERAL_STRING_NOW", "STRING", "Single Survivor Spawned", 4000, 1)
                End If
            End If
        End Sub
        Private Sub Weapon(ByVal p As ped)
            Dim random As New Random()
            Dim a As Integer = RandomNumber(1, 8)

            If a = 0 Then
                p.Weapons.MP5.Ammo = 999999
            End If

            If a = 1 Then
                p.Weapons.BarettaShotgun.Ammo = 999999
            End If

            If a = 2 Then
                p.Weapons.AssaultRifle_M4.Ammo = 999999
            End If

            If a = 3 Then
                p.Weapons.BasicSniperRifle.Ammo = 999999
            End If

            If a = 4 Then
                p.Weapons.DesertEagle.Ammo = 999999
            End If

            If a = 5 Then
                p.Weapons.BasicShotgun.Ammo = 999999
            End If

            If a = 6 Then
                p.Weapons.AssaultRifle_AK47.Ammo = 999999
            End If

            If a = 7 Then
                p.Weapons.Uzi.Ammo = 999999
            End If


        End Sub
        Private Sub BodyguardScript10()
            If SON Then
                inv = Not inv
                If inv Then
                    Native.Function.Call("PRINT_STRING_WITH_LITERAL_STRING_NOW", "STRING", "Bodyguards Invincible", 4000, 1)
                Else
                    For Each Member As Ped In Group
                        member.invincible = False
                    Next
                    Native.Function.Call("PRINT_STRING_WITH_LITERAL_STRING_NOW", "STRING", "Bodyguards Nolonger Invincible", 4000, 1)
                End If
            End If
        End Sub
        Private Sub BodyGuardScript10Invincible_Tick(ByVal sender As Object, ByVal e As EventArgs) Handles MyBase.Tick
            If inv Then
                For Each Member As Ped In Group
                    If exists(member) AndAlso member IsNot Nothing Then
                        member.invincible = True
                        If member.health < 100 Then
                            member.health += 5
                        End If
                    End If
                Next
            End If
        End Sub
        Private Sub AddToGroup(ByVal p As Ped)
            If Not Exists(p) Then Return
            If Group.isMember(p) Then Return
            p.senserange = 25.0F
            p.CurrentRoom = Player.Character.CurrentRoom
            p.WillDoDrivebys = True
            p.PriorityTargetForEnemies = True
            p.DuckWhenAimedAtByGroupMember = True
            p.SetPathfinding(True, True, True)
            p.AlwaysDiesOnLowHealth = True
            p.Accuracy = 100
            p.health = 100
            p.armor = 100
            P.MakeProofTo(False, True, False, False, False)
            p.CanSwitchWeapons = True
            p.RelationshipGroup = RelationshipGroup.player
            p.ChangeRelationship(RelationshipGroup.dealer, Relationship.hate)
            p.ChangeRelationship(RelationshipGroup.criminal, Relationship.hate)
            p.ChangeRelationship(RelationshipGroup.cop, Relationship.like)
            p.ChangeRelationship(RelationshipGroup.Player, Relationship.companion)
            Group.SeparationRange = 150
            Group.AddMember(p)
            p.task.fightagainsthatedtargets(15.0F)
        End Sub
        Private Sub OutsideBodyguardIntoL4LI_Tick(ByVal sender As Object, ByVal e As EventArgs) Handles MyBase.Tick
            If Not nite Then
                Dim peds As ped() = world.getallpeds()
                For Each ped As ped In peds
                    If Not Exists(ped) OrElse ped Is Nothing Then
                        Continue For
                    End If
                    If exists(ped) AndAlso ped IsNot Nothing AndAlso ped.isingroup = True AndAlso ped.isrequiredformission = True AndAlso ped = player.character = False AndAlso ped.relationshipgroup = relationshipgroup.player = False AndAlso ped.relationshipgroup = relationshipgroup.dealer = False Then
                        Dim random As New Random()
                        Dim a As Integer = RandomNumber(0, 9)
                        If a = 3 Then
                            'AddToGroup(ped)
                            ped.RelationshipGroup = RelationshipGroup.player
                            ped.task.fightagainsthatedtargets(18.0F)
                            ped.ChangeRelationship(RelationshipGroup.dealer, Relationship.hate)
                        End If
                    End If
                Next
            End If
        End Sub
        Private Sub ZombiesAtNight()
            If SON Then
                nite = Not nite
                If nite Then
                Else
                End If
            End If
        End Sub
        Private Sub ScriptOn()
            SON = Not SON
            If SON Then
                timer.start()
            Else
                For Each Member As Ped In Group
                    Member.Weapons.RemoveAll()
                    Member.nolongerneeded()
                    'Member.delete()
                Next
                timer.stop()
            End If
        End Sub
    End Class
Public Class ZombiesAttack
    Inherits Script
    Private SON As Boolean = False
    Private nite As Boolean = False
    Private ZOM As Boolean = False
    Private Group As Group = Player.Group
    Private anims As New AnimationSet("amb@drunk")
    Private animflags As AnimationFlags = AnimationFlags.Unknown11 Or AnimationFlags.Unknown09
    Public Sub New()
        Me.interval = 500
        settings.load()
        BindKey(Settings.GetValueKey("Toggle Script", "SETTINGS", Keys.F7), New KeyPressDelegate(AddressOf ScriptOn))
        BindKey(Settings.GetValueKey("Toggle Zombie Night Script", "SETTINGS", Keys.F4), New KeyPressDelegate(AddressOf ZombiesAtNight))
        BindKey(Settings.GetValueKey("Toggle Zombies With Peds Or All Zombies", "SETTINGS", Keys.Delete), New KeyPressDelegate(AddressOf ZombieChoice))
    End Sub
    Private Function RandomNumber(ByVal min As Integer, ByVal max As Integer) As Integer
        Dim random As New Random()
        Return random.Next(min, max)
    End Function
    Private Sub ZombiesGroupMembersAttackAndEnemies_Tick(ByVal sender As Object, ByVal e As EventArgs) Handles MyBase.Tick
        If SON Then
            If Not nite Then
                If Not ZOM Then
                    'If player.character.isinvehicle = False Then
                    player.wantedlevel = 0
                    Dim pedz As ped() = World.GetallPeds()
                    'Dim pedz As ped() = world.getpeds(player.character.position, 140.0F, 10)
                    For Each zombie As ped In pedz
                        If Not Exists(zombie) OrElse zombie Is Nothing Then
                            Continue For
                        End If

                        If exists(zombie) AndAlso zombie IsNot Nothing AndAlso zombie.relationshipgroup = relationshipgroup.dealer = True Then
                            Dim peds As ped() = world.getallpeds()
                            For Each ped As ped In peds
                                If Not Exists(ped) OrElse ped Is Nothing Then
                                    Continue For
                                End If
                                If exists(ped) AndAlso ped IsNot Nothing AndAlso ped.position.distanceto(zombie.position) <= 10.0F Then

                                    If exists(ped) AndAlso ped IsNot Nothing AndAlso ped.relationshipgroup = relationshipgroup.dealer = False AndAlso ped.isalive = True Then
                                        If exists(zombie) AndAlso zombie IsNot Nothing AndAlso zombie.isrequiredformission = False Then
                                            zombie.task.GoTo(ped.Position, True)
                                        End If
                                        'Else
                                        'If exists(ped) AndAlso ped IsNot Nothing AndAlso ped.relationshipgroup = relationshipgroup.dealer = False Then
                                        'If exists(zombie) AndAlso zombie IsNot Nothing AndAlso zombie.isrequiredformission = False Then
                                        'zombie.task.GoTo(player.character)
                                        'End If
                                        'End If
                                    End If
                                    If exists(zombie) AndAlso zombie IsNot Nothing AndAlso ped.isragdoll = False AndAlso Native.Function.Call(Of Boolean)("IS_CHAR_PLAYING_ANIM", zombie, "amb@drunk", "bum_fight") = True AndAlso zombie = player.character = False AndAlso zombie.position.distanceto(ped.position) <= 1.0F AndAlso ped.RelationshipGroup = relationshipgroup.dealer = False AndAlso zombie.RelationshipGroup = relationshipgroup.dealer = True AndAlso zombie.isaliveandwell = True AndAlso Native.Function.Call(Of Boolean)("IS_CHAR_GETTING_UP", ped) = False AndAlso Native.Function.Call(Of Boolean)("IS_CHAR_GETTING_UP", zombie) = False AndAlso zombie.isragdoll = False AndAlso ped.isinvehicle = False AndAlso zombie.isinvehicle = False Then '
                                        'If exists(zombie) AndAlso ped.isragdoll = False AndAlso Native.Function.Call(Of Boolean)("IS_CHAR_PLAYING_ANIM", zombie, "amb@drunk", "bum_fight") = False Then
                                        zombie.Task.PlayAnimation(anims, "bum_fight", 10.0F, animflags)
                                        If exists(ped) AndAlso ped IsNot Nothing AndAlso ped.isragdoll = False Then
                                            'Dim random As New Random()
                                            'Dim r As Integer = RandomNumber(0, 2)
                                            'If r = 1 Then
                                            ped.ForceRagdoll(650, True)
                                            'End If
                                            If exists(ped) AndAlso ped IsNot Nothing AndAlso ped = player.character = False Then
                                                ped.health -= 6
                                                ped.ChangeRelationship(relationshipgroup.dealer, relationship.hate)
                                            End If
                                            If exists(ped) AndAlso ped IsNot Nothing AndAlso ped = player.character = True Then
                                                ped.health -= 6
                                                Dim vehicles As vehicle() = world.getvehicles(New vector3(-294.33F, -79.01F, 275.43), 1.0F, "Faggio")
                                                For Each vehicle As vehicle In vehicles

                                                    If exists(vehicle) AndAlso vehicle IsNot Nothing AndAlso vehicle.isrequiredformission = True Then
                                                        vehicle.health += 2
                                                    End If
                                                Next

                                            End If
                                        End If

                                        'End If
                                    End If

                                    If exists(ped) AndAlso ped IsNot Nothing AndAlso zombie.RelationshipGroup = relationshipgroup.dealer = True AndAlso zombie = player.character = False AndAlso ped.isalive = True AndAlso zombie.isalive = True AndAlso Ped.RelationshipGroup = RelationshipGroup.cop = True AndAlso ped.health > 20 AndAlso ped.relationshipgroup = relationshipgroup.dealer = False AndAlso ped.relationshipgroup = relationshipgroup.medic = False AndAlso player.character.position.distanceto(ped.position) <= 28.0F Then 'AndAlso ped.isinvehicle = False
                                        ped.becomemissioncharacter()
                                        ped.task.fightagainst(zombie)
                                        ped.relationshipgroup = relationshipgroup.medic
                                        'ped.task.shootat(zombie, shootmode.SingleShotKeepAim)
                                        ped.ChangeRelationship(relationshipgroup.dealer, relationship.hate)
                                        ped.ChangeRelationship(relationshipgroup.player, relationship.companion)
                                        Dim random As New Random()
                                        Dim a As Integer = RandomNumber(0, 3)
                                        If a = 0 Then
                                            ped.Weapons.DesertEagle.Ammo += 1500
                                        End If
                                        If a = 1 Then
                                            ped.Weapons.BarettaShotgun.Ammo += 80
                                        End If
                                        If a = 2 Then
                                            ped.Weapons.BasicShotgun.Ammo += 80
                                        End If
                                    End If

                                    If exists(ped) AndAlso ped IsNot Nothing AndAlso ped.health <= 30 AndAlso ped = player.character = False AndAlso ped.isingroup = False AndAlso ped.isaliveandwell = True AndAlso ped.RelationshipGroup = relationshipgroup.dealer = False Then
                                        If exists(ped) AndAlso ped IsNot Nothing AndAlso ped.position.distanceto(zombie.position) <= 2.0F Then
                                            If exists(ped) AndAlso ped IsNot Nothing AndAlso ped.isrequiredformission = True Then
                                                ped.nolongerneeded()
                                            End If
                                            ped.task.ClearAllImmediately()
                                            ped.Weapons.RemoveAll()
                                            wait(10)
                                            'Ped.Forceragdoll(4000, False)
                                            ZombieToSurvivorNatives(ped)
                                        End If

                                    End If
                                End If

                    Next
                        End If
                    Next
                End If
            End If
        End If
    End Sub
    Private Sub ZombiesAttackPlayer_Tick(ByVal sender As Object, ByVal e As EventArgs) Handles MyBase.Tick
        If SON Then
            If Not nite Then
                If ZOM Then
                    player.wantedlevel = 0
                    Dim pedz As ped() = World.GetallPeds()
                    For Each zombie As ped In pedz
                        If Not Exists(zombie) OrElse zombie Is Nothing Then
                            Continue For
                        End If

                        If exists(zombie) AndAlso zombie IsNot Nothing AndAlso player.character.isragdoll = False AndAlso Native.Function.Call(Of Boolean)("IS_CHAR_PLAYING_ANIM", zombie, "amb@drunk", "bum_fight") = True AndAlso zombie = player.character = False AndAlso zombie.position.distanceto(player.character.position) <= 1.0F AndAlso zombie.RelationshipGroup = relationshipgroup.dealer = True AndAlso zombie.isaliveandwell = True AndAlso Native.Function.Call(Of Boolean)("IS_CHAR_GETTING_UP", player.character) = False AndAlso Native.Function.Call(Of Boolean)("IS_CHAR_GETTING_UP", zombie) = False AndAlso zombie.isragdoll = False AndAlso player.character.isinvehicle = False AndAlso zombie.isinvehicle = False Then '
                            zombie.Task.PlayAnimation(anims, "bum_fight", 10.0F, animflags)
                            If exists(player.character) AndAlso player.character IsNot Nothing AndAlso player.character.isragdoll = False Then
                                player.character.ForceRagdoll(650, True)
                                If exists(player.character) AndAlso player.character IsNot Nothing Then
                                    player.character.health -= 6
                                    Dim vehicles As vehicle() = world.getvehicles(New vector3(-294.33F, -79.01F, 275.43), 1.0F, "Faggio")
                                    For Each vehicle As vehicle In vehicles
                                        If exists(vehicle) AndAlso vehicle IsNot Nothing AndAlso vehicle.isrequiredformission = True Then
                                            vehicle.health += 2
                                        End If
                                    Next
                                End If
                            End If
                        End If
                    Next
                End If
            End If
        End If
    End Sub
    Private Sub SurvivorToZombie_Tick(ByVal sender As Object, ByVal e As EventArgs) Handles MyBase.Tick
        If SON Then

            If Player.character.isinvehicle = False Then
                'wait(10)
                Dim peds As ped() = World.GetallPeds()
                For Each ped As ped In peds
                    If Not Exists(ped) OrElse ped Is Nothing Then
                        Continue For
                    End If

                    If exists(ped) AndAlso ped IsNot Nothing AndAlso ped.isingroup = True AndAlso ped = player.character = False AndAlso ped.RelationshipGroup = RelationshipGroup.dealer = False Then
                        If exists(ped) AndAlso ped.health <= 11 Then
                            ped.isragdoll = True
                            ped.health -= 1
                            If exists(ped) AndAlso ped.health <= 4 Then
                                ped.isragdoll = False
                                group.removemember(ped)
                                ped.nolongerneeded()
                                wait(25)
                                ZombieToSurvivorNatives(ped)
                            End If
                        End If
                    End If
                    If Not nite Then
                        If exists(ped) AndAlso ped IsNot Nothing AndAlso ped.relationshipgroup = relationshipgroup.criminal = True AndAlso ped = player.character = False Then
                            Dim pedz As ped() = World.GetallPeds()
                            For Each zombie As ped In pedz
                                If Not exists(zombie) Then

                                End If

                                If exists(zombie) AndAlso zombie IsNot Nothing AndAlso zombie.RelationshipGroup = RelationshipGroup.dealer = True AndAlso zombie.position.distanceto(ped.position) <= 2.5F AndAlso ped = player.character = False AndAlso Native.Function.Call(Of Boolean)("IS_CHAR_PLAYING_ANIM", Ped, "amb@drunk", "bum_fight") = False AndAlso Native.Function.Call(Of Boolean)("IS_CHAR_GETTING_UP", Ped) = False AndAlso ped.isalive = True AndAlso zombie = player.character = False Then
                                    zombie.Task.PlayAnimation(anims, "bum_fight", 10.0F, animflags)
                                    If exists(zombie) AndAlso zombie IsNot Nothing AndAlso zombie = player.character = False Then
                                        zombie.Task.GoTo(ped.Position, True)
                                    End If
                                End If
                                If exists(zombie) AndAlso zombie IsNot Nothing AndAlso zombie.RelationshipGroup = RelationshipGroup.dealer = True AndAlso ped.position.distanceto(zombie.position) <= 2.0F AndAlso ped.isinvehicle = False Then
                                    ped.health -= 6
                                    Dim random As New Random()
                                    Dim r As Integer = RandomNumber(0, 2)
                                    If r = 1 Then
                                        ped.ForceRagdoll(650, True)
                                    End If
                                End If
                                If exists(zombie) AndAlso zombie IsNot Nothing AndAlso zombie.RelationshipGroup = RelationshipGroup.dealer = True AndAlso zombie.position.distanceto(ped.position) <= 15.0F AndAlso ped.isalive = True Then
                                    zombie.task.goto(ped)
                                End If
                            Next
                        End If
                    End If
                Next
            End If
        End If
    End Sub
    Private Sub ZombieToSurvivorNatives(ByVal ped As ped)
        If exists(ped) AndAlso ped IsNot Nothing Then
            ped.MakeProofTo(False, False, False, True, False)
            Ped.CancelAmbientSpeech()
            ped.weapons.removeall()
            ped.senserange = 4.0
            Ped.WillUseCarsInCombat = False
            Ped.AlwaysDiesOnLowHealth = True
            ped.enemy = True
            ped.maxhealth = 300
            ped.Health = 300
            Ped.Money = 0
            ped.RelationshipGroup = relationshipgroup.dealer
            ped.ChangeRelationship(relationshipgroup.Civillian_male, relationship.companion)
            ped.ChangeRelationship(relationshipgroup.fireman, relationship.companion)
            ped.ChangeRelationship(relationshipgroup.medic, relationship.companion)
            ped.ChangeRelationship(relationshipgroup.dealer, relationship.companion)
            ped.ChangeRelationship(relationshipgroup.cop, relationship.companion)
            ped.ChangeRelationship(relationshipgroup.criminal, relationship.companion)
            ped.ChangeRelationship(relationshipgroup.Civillian_Female, relationship.Companion)
            ped.ChangeRelationship(relationshipgroup.player, relationship.companion)
            Ped.Voice = "M_ZOMBIE"
            ped.task.goto(player)
            Native.Function.Call("SAY_AMBIENT_SPEECH", Ped, "MOAN", 1, 1, 2)
            Native.Function.Call("SET_PED_DONT_DO_EVASIVE_DIVES", Ped, True)
            Native.Function.Call("SET_CHAR_DIES_INSTANTLY_IN_WATER", ped, True)
            Native.Function.Call("SET_CHAR_WILL_MOVE_WHEN_INJURED", ped, False)
            Native.Function.Call("SET_CHAR_FIRE_DAMAGE_MULTIPLIER", Ped, 99) 'number is multiplier
            Native.Function.Call("SET_PED_PATH_MAY_DROP_FROM_HEIGHT", ped, True)
            Native.Function.Call("SET_PED_PATH_MAY_USE_CLIMBOVERS", ped, True)
            Native.Function.Call("SET_PED_PATH_MAY_USE_LADDERS", ped, False)
            Dim random As New Random()
            Dim x As Integer = RandomNumber(0, 2)
            If x = 0 Then
                Native.Function.Call("SET_ANIM_GROUP_FOR_CHAR", Ped, "move_injured_lower")
                Native.Function.Call("Set_Char_Move_Anim_Speed_Multiplier", Ped, 1.4F)
                ped.Task.PlayAnimation(anims, "bum_fight", 10.0F, animflags)
            End If
            If x = 1 Then
                Native.Function.Call("SET_ANIM_GROUP_FOR_CHAR", Ped, "move_injured_upper")
                Native.Function.Call("Set_Char_Move_Anim_Speed_Multiplier", Ped, 1.6F)
                ped.Task.PlayAnimation(anims, "bum_fight", 10.0F, animflags)
            End If
        End If
    End Sub
    Private Sub ZombiesAtNight()
        If SON Then
            nite = Not nite
            If nite Then
            Else
            End If
        End If
    End Sub
    Private Sub ZombieChoice()
        If SON Then
            ZOM = Not ZOM
            If ZOM Then
            Else
            End If
        End If
    End Sub
    Private Sub ScriptOn()
        SON = Not SON
        If SON Then
        Else
        End If
    End Sub
End Class
    Public Class ZombiesPoliceWantedStatusNoAirplanes
        Inherits Script
        Private SON As Boolean = False
        Private nite As Boolean = False
        Private pday As Boolean = False
        Private ztog As Boolean = False
        Private ztog2 As Boolean = False
        Private timer As New GTA.Timer
        Private animzom As New AnimationSet("amb@drunk")
        Private animflags As AnimationFlags = AnimationFlags.Unknown11 Or AnimationFlags.Unknown09
        Private Group As Group = Player.Group
        Public Sub New()
            BindKey(Settings.GetValueKey("Toggle Script", "SETTINGS", Keys.F7), New KeyPressDelegate(AddressOf ScriptOn))
        End Sub
        Private Sub ScriptOn()
            SON = Not SON
            If SON Then
                Native.Function.Call("DISABLE_POLICE_SCANNER")
                Native.Function.Call("SWITCH_AMBIENT_PLANES", 0)
            Native.Function.Call("SET_MAX_WANTED_LEVEL", 0)

            Else
                Native.Function.Call("SET_MAX_WANTED_LEVEL", 6)
                Native.Function.Call("ENABLE_POLICE_SCANNER")
                Native.Function.Call("SWITCH_AMBIENT_PLANES", 1)
            End If
        End Sub
    End Class
    Public Class WeatherRadioToggleAndTimeJump
        Inherits Script
        Private radio As Boolean = False
        Private weather As Boolean = True
        Private nite As Boolean = False
    Private SON As Boolean = False
    Private w As Single = 0.0F
        Public Sub New()
            settings.load()
            BindKey(Settings.GetValueKey("Toggle Script", "SETTINGS", Keys.F7), New KeyPressDelegate(AddressOf ScriptOn))
            BindKey(Settings.GetValueKey("Randomize Weather", "SETTINGS", Keys.Insert), New KeyPressDelegate(AddressOf WeatherChoice))
            BindKey(Settings.GetValueKey("Toggle Radio", "SETTINGS", Keys.T), New KeyPressDelegate(AddressOf RadioChoice))
            BindKey(Settings.GetValueKey("Fast Forward Time One Hour", "SETTINGS", Keys.J), New KeyPressDelegate(AddressOf TimeChoice))
        End Sub
        Private Function RandomNumber(ByVal min As Integer, ByVal max As Integer) As Integer
            Dim random As New Random()
            Return random.Next(min, max)
        End Function
    Private Sub WeatherChoice()
        If SON Then
            Dim random As New Random()
            Dim w As Integer = RandomNumber(1, 8)
            Native.Function.Call("FORCE_WEATHER_NOW", w)
            Native.Function.Call("PRINT_STRING_WITH_LITERAL_STRING_NOW", "STRING", "Randomized Weather", 4000, 1)
        End If
    End Sub
        Private Sub RadioChoice()
            If SON Then
                radio = Not radio
                If radio Then
                    Native.Function.Call("ENABLE_FRONTEND_RADIO")
                    Native.Function.Call("PRINT_STRING_WITH_LITERAL_STRING_NOW", "STRING", "Radio Returned", 4000, 1)
                Else
                    Native.Function.Call("DISABLE_FRONTEND_RADIO")
                    Native.Function.Call("PRINT_STRING_WITH_LITERAL_STRING_NOW", "STRING", "Radio Removed", 4000, 1)
                End If
            End If
        End Sub
    Private Sub TimeChoice()
        If SON Then
            World.UnlockDayTime()
            wait(10)
            Dim h As Integer = World.CurrentDate.Hour
            Dim m As Integer = World.CurrentDate.Minute
            Native.Function.Call("SET_TIME_OF_DAY", h + 1, m)
            Native.Function.Call("PRINT_STRING_WITH_LITERAL_STRING_NOW", "STRING", "Jumped Ahead One Hour", 4000, 1)
        End If
    End Sub
        Private Sub ScriptOn()
            SON = Not SON
            If SON Then
                Native.Function.Call("DISABLE_FRONTEND_RADIO")
            Else
                Native.Function.Call("ENABLE_FRONTEND_RADIO")
                World.UnlockDayTime()
            End If
        End Sub
    End Class
    Public Class PedestrianViolence
    Inherits Script
    Private SON As Boolean = False
    Private ZOM As Boolean = False
    Private NITE As Boolean = False
    Private revent As Boolean = False
    Private Group As Group = Player.Group
    Public Sub New()
        Me.interval = 1974
        BindKey(Settings.GetValueKey("Toggle Script", "SETTINGS", Keys.F7), New KeyPressDelegate(AddressOf ScriptOn))
        BindKey(Settings.GetValueKey("Toggle Pedestrian Events", "SETTINGS", Keys.PAGEDOWN), New KeyPressDelegate(AddressOf RandomEventsPedestrians))
        BindKey(Settings.GetValueKey("Toggle Zombies With Peds Or All Zombies", "SETTINGS", Keys.Delete), New KeyPressDelegate(AddressOf ZombieChoice))
        BindKey(Settings.GetValueKey("Toggle Zombie Night Script", "SETTINGS", Keys.F4), New KeyPressDelegate(AddressOf ZombiesAtNight))
    End Sub
    Private Function RandomNumber(ByVal min As Integer, ByVal max As Integer) As Integer
        Dim random As New Random()
        Return random.Next(min, max)
    End Function
    Private Sub RandomEventsPedestrians()
        If son Then
            revent = Not revent
            If revent Then
                Native.Function.Call("PRINT_STRING_WITH_LITERAL_STRING_NOW", "STRING", "Random Pedestrian Events Activated", 4000, 1)
            Else
                Native.Function.Call("PRINT_STRING_WITH_LITERAL_STRING_NOW", "STRING", "Random Pedestrian Events Deactivated", 4000, 1)
            End If
        End If
    End Sub
    Private Sub RandomPedEvents_Tick(ByVal sender As Object, ByVal e As EventArgs) Handles MyBase.Tick
        If son Then
            If revent Then
                If Not NITE Then
                    If player.character.isinvehicle = False Then
                        Dim random As New Random()
                        Dim a As Integer = RandomNumber(0, 2)
                        Dim pr As Integer = RandomNumber(0, 100)
                        Dim n As Integer = RandomNumber(0, 82)
                        Dim g As Integer = RandomNumber(0, 90)
                        Dim rp As Integer = RandomNumber(0, 74)
                        Dim rpw As Integer = RandomNumber(0, 4)
                        Dim rprg As Integer = RandomNumber(1, 3)
                        Dim rpm As Integer = RandomNumber(1, 19)

                        If pr = 31 Then
                            RandomEventPrisoners()
                        End If
                        If n = 37 Then
                            RandomEventNOOSE()
                        End If
                        If g = 33 Then
                            RandomEventGunNuts()
                        End If

                        If a = 1 Then
                            RandomEventDriveBy()
                        End If

                        If rp = 10 Then
                            Dim p As Ped = World.CreatePed(Player.Character.GetOffsetPosition(New Vector3(-30, -30, 0.0F)).toground)
                            If exists(p) AndAlso p IsNot Nothing Then
                                p.becomemissioncharacter()
                                p.task.fightagainsthatedtargets(100.0F)
                                p.maxhealth = 100
                                p.health = 100
                                'Dim blip As blip = blip.addblip(p)
                                'blip.color = blipcolor.yellow

                                If rpw = 0 Then
                                    p.Weapons.glock.Ammo = 999999
                                End If
                                If rpw = 1 Then
                                    p.Weapons.DesertEagle.Ammo = 999999
                                End If
                                If rpw = 2 Then
                                    p.Weapons.BarettaShotgun.Ammo = 999999
                                End If
                                If rpw = 3 Then
                                    p.Weapons.BasicShotgun.Ammo = 999999
                                End If

                                If rprg = 0 Then
                                    p.relationshipgroup = relationshipgroup.cop
                                    p.ChangeRelationship(relationshipgroup.dealer, relationship.hate)
                                    p.ChangeRelationship(relationshipgroup.criminal, relationship.hate)
                                    p.ChangeRelationship(relationshipgroup.player, relationship.like)
                                    p.ChangeRelationship(relationshipgroup.cop, relationship.like)
                                End If
                                If rprg = 1 Then
                                    p.relationshipgroup = relationshipgroup.criminal
                                    p.ChangeRelationship(relationshipgroup.dealer, relationship.hate)
                                    p.ChangeRelationship(relationshipgroup.cop, relationship.hate)
                                    p.ChangeRelationship(relationshipgroup.player, relationship.hate)
                                End If
                                If rprg = 2 Then
                                    p.relationshipgroup = relationshipgroup.player
                                    p.ChangeRelationship(relationshipgroup.dealer, relationship.hate)
                                    p.ChangeRelationship(relationshipgroup.cop, relationship.like)
                                    p.ChangeRelationship(relationshipgroup.criminal, relationship.hate)
                                End If
                            End If
                        End If
                    End If
                End If
            End If
        End If
    End Sub
        Private Sub RandomEventPrisoners()
            Dim p As Ped = World.CreatePed("M_Y_Prison", Player.Character.GetOffsetPosition(New Vector3(30, -30, 0.0F)).toground)
            If exists(p) AndAlso p IsNot Nothing Then
                p.becomemissioncharacter()
                p.relationshipgroup = relationshipgroup.criminal
                p.ChangeRelationship(relationshipgroup.dealer, relationship.hate)
                p.ChangeRelationship(relationshipgroup.player, relationship.hate)
                p.ChangeRelationship(relationshipgroup.cop, relationship.hate)
                p.task.fightagainsthatedtargets(100.0F)
                p.maxhealth = 150
                p.health = 150
                p.Weapons.DesertEagle.Ammo = 999999
                'Dim blip As blip = blip.addblip(p)
                'blip.color = blipcolor.orange
                Dim random As New Random()
                Dim a As Integer = RandomNumber(0, 2)
                Dim b As Integer = RandomNumber(0, 2)
                If a = 1 Then
                    P = World.CreatePed("M_Y_Prison", Player.Character.GetOffsetPosition(New Vector3(30, -30, 0.0F)).toground)
                    If exists(p) AndAlso p IsNot Nothing Then
                        p.becomemissioncharacter()
                        p.relationshipgroup = relationshipgroup.criminal
                        p.ChangeRelationship(relationshipgroup.dealer, relationship.hate)
                        p.ChangeRelationship(relationshipgroup.cop, relationship.hate)
                        p.task.fightagainsthatedtargets(100.0F)
                        p.maxhealth = 150
                        p.health = 150
                        p.Weapons.BasicShotgun.Ammo = 999999
                    End If
                End If
                If b = 1 Then
                    P = World.CreatePed("m_m_gbik_lo_03", Player.Character.GetOffsetPosition(New Vector3(30, -30, 0.0F)).toground)
                    If exists(p) AndAlso p IsNot Nothing Then
                        p.becomemissioncharacter()
                        p.relationshipgroup = relationshipgroup.criminal
                        p.ChangeRelationship(relationshipgroup.dealer, relationship.hate)
                        p.ChangeRelationship(relationshipgroup.cop, relationship.hate)
                        p.task.fightagainsthatedtargets(100.0F)
                        p.maxhealth = 150
                        p.health = 150
                        p.Weapons.uzi.Ammo = 999999
                    End If
                End If
            End If
        End Sub
        Private Sub RandomEventNOOSE()
            Dim ped As ped = world.createped("M_Y_SWAT", Player.Character.GetOffsetPosition(New Vector3(30, 30, 0.0F)).toground)
            If exists(ped) AndAlso ped IsNot Nothing Then
                ped.becomemissioncharacter()
                ped.relationshipgroup = relationshipgroup.cop
                ped.ChangeRelationship(relationshipgroup.dealer, relationship.hate)
                ped.ChangeRelationship(relationshipgroup.criminal, relationship.hate)
                ped.task.fightagainsthatedtargets(100.0F)
                ped.maxhealth = 150
                ped.health = 150
                ped.armor = 200
                RandomWeapons(ped)
                'Dim blip As blip = blip.addblip(ped)
                'blip.color = blipcolor.DarkTurquoise
                wait(10)
                ped = world.createped("M_Y_SWAT", Player.Character.GetOffsetPosition(New Vector3(30, 30, 0.0F)).toground)
                If exists(ped) AndAlso ped IsNot Nothing Then
                    ped.becomemissioncharacter()
                    ped.relationshipgroup = relationshipgroup.cop
                    ped.ChangeRelationship(relationshipgroup.dealer, relationship.hate)
                    ped.ChangeRelationship(relationshipgroup.criminal, relationship.hate)
                    ped.task.fightagainsthatedtargets(100.0F)
                    ped.maxhealth = 150
                    ped.health = 150
                    ped.armor = 200
                    RandomWeapons(ped)
                    wait(10)
                End If
                Dim random As New Random()
                Dim n As Integer = RandomNumber(0, 2)
                Dim n2 As Integer = RandomNumber(0, 2)
                If n = 1 Then
                    ped = world.createped("m_m_fbi", Player.Character.GetOffsetPosition(New Vector3(30, 30, 0.0F)).toground)
                    If exists(ped) AndAlso ped IsNot Nothing Then
                        ped.becomemissioncharacter()
                        ped.relationshipgroup = relationshipgroup.cop
                        ped.ChangeRelationship(relationshipgroup.dealer, relationship.hate)
                        ped.ChangeRelationship(relationshipgroup.criminal, relationship.hate)
                        ped.task.fightagainsthatedtargets(100.0F)
                        ped.maxhealth = 150
                        ped.health = 150
                        ped.armor = 200
                        RandomWeapons(ped)
                    End If
                End If

                If n2 = 1 Then
                    wait(10)
                    ped = world.createped("M_Y_SWAT", Player.Character.GetOffsetPosition(New Vector3(30, 30, 0.0F)).toground)
                    If exists(ped) AndAlso ped IsNot Nothing Then
                        ped.becomemissioncharacter()
                        ped.relationshipgroup = relationshipgroup.cop
                        ped.ChangeRelationship(relationshipgroup.dealer, relationship.hate)
                        ped.ChangeRelationship(relationshipgroup.criminal, relationship.hate)
                        ped.task.fightagainsthatedtargets(100.0F)
                        ped.maxhealth = 150
                        ped.health = 150
                        ped.armor = 200
                        RandomWeapons(ped)
                    End If
                End If
            End If
        End Sub
        Private Sub RandomEventGunNuts()
            Dim ped As ped = world.createped("M_M_GunNut_01", Player.Character.GetOffsetPosition(New Vector3(-30, 30, 0.0F)).toground)
            If exists(ped) AndAlso ped IsNot Nothing Then
                ped.becomemissioncharacter()
                ped.relationshipgroup = relationshipgroup.criminal
                ped.ChangeRelationship(relationshipgroup.dealer, relationship.hate)
                ped.task.fightagainsthatedtargets(100.0F)
                ped.maxhealth = 150
                ped.health = 150
                ped.armor = 150
                RandomWeapons(ped)
                'Dim blip As blip = blip.addblip(ped)
                'blip.color = blipcolor.grey
                wait(10)
                ped = world.createped("M_M_GunNut_01", Player.Character.GetOffsetPosition(New Vector3(-30, 30, 0.0F)).toground)
                If exists(ped) AndAlso ped IsNot Nothing Then
                    ped.becomemissioncharacter()
                    ped.relationshipgroup = relationshipgroup.criminal
                    ped.ChangeRelationship(relationshipgroup.dealer, relationship.hate)
                    ped.task.fightagainsthatedtargets(100.0F)
                    ped.maxhealth = 150
                    ped.health = 150
                    ped.armor = 150
                    RandomWeapons(ped)
                    wait(10)
                End If
            End If
            Dim random As New Random()
            Dim gn As Integer = RandomNumber(0, 2)
            Dim gn2 As Integer = RandomNumber(0, 2)
            If gn = 1 Then
                ped = world.createped("M_M_GunNut_01", Player.Character.GetOffsetPosition(New Vector3(-30, 30, 0.0F)).toground)
                If exists(ped) AndAlso ped IsNot Nothing Then
                    ped.becomemissioncharacter()
                    ped.relationshipgroup = relationshipgroup.criminal
                    ped.ChangeRelationship(relationshipgroup.dealer, relationship.hate)
                    ped.task.fightagainsthatedtargets(100.0F)
                    ped.maxhealth = 150
                    ped.health = 150
                    ped.armor = 150
                    RandomWeapons(ped)
                    wait(10)
                End If
            End If
            If gn2 = 1 Then
                ped = world.createped("M_M_GunNut_01", Player.Character.GetOffsetPosition(New Vector3(-30, 30, 0.0F)).toground)
                If exists(ped) AndAlso ped IsNot Nothing Then
                    ped.becomemissioncharacter()
                    ped.relationshipgroup = relationshipgroup.criminal
                    ped.ChangeRelationship(relationshipgroup.dealer, relationship.hate)
                    ped.task.fightagainsthatedtargets(100.0F)
                    ped.maxhealth = 150
                    ped.health = 150
                    ped.armor = 150
                    RandomWeapons(ped)
                End If
            End If
        End Sub
    Private Sub RandomEventDriveBy()
        If Not ZOM Then
            Dim random As New Random()
            Dim x As Integer = RandomNumber(-25, 25)

            Dim ped As ped = player.character
            If exists(ped) AndAlso ped.isinvehicle = False Then
                Dim vehicles As vehicle() = world.getvehicles(player.character.GetOffsetPosition(New Vector3(x, 10.0F, 0.0F)), 18.0F)
                For Each vehicle As Vehicle In vehicles
                    If Not exists(vehicle) OrElse vehicle Is Nothing Then
                        Continue For
                    End If
                    If exists(vehicle) AndAlso vehicle IsNot Nothing AndAlso vehicle.isDriveable = True AndAlso vehicle.isSeatFree(vehicleseat.driver) = False AndAlso vehicle.isSeatFree(vehicleseat.rightfront) = False AndAlso vehicle.isSeatFree(vehicleseat.rightrear) = True AndAlso vehicle.isSeatFree(vehicleseat.leftrear) = True Then
                        vehicle.nolongerneeded()
                        For M As Integer = 0 To 0
                            If exists(vehicle) AndAlso vehicle IsNot Nothing Then
                                wait(100)
                                Dim p As Ped = vehicle.getpedonseat(vehicleseat.driver)
                                If exists(P) AndAlso p IsNot Nothing AndAlso p.isingroup = False AndAlso p.pedtype = pedtype.cop = False AndAlso p.relationshipgroup = relationshipgroup.dealer = False AndAlso p.isrequiredformission = False AndAlso p.relationshipgroup = relationshipgroup.player = False Then
                                    If p.isinvehicle = True Then
                                        p.BecomeMissionCharacter()
                                        p.Health = 100
                                        p.Armor = 50
                                        p.Enemy = True
                                        p.SetPathfinding(True, True, True)
                                        p.WillFlyThroughWindscreen = True
                                        p.CanBeKnockedOffBike = False
                                        p.WillDoDrivebys = True
                                        p.AlwaysDiesOnLowHealth = True
                                        P.PriorityTargetForEnemies = True
                                        p.Weapons.Glock.Ammo = 99999
                                        p.Task.driveto(vector3.randomxy, 25.0F, False, True)
                                        'Dim blip As blip = blip.addblip(p)
                                        'blip.color = blipcolor.purple
                                    End If
                                End If
                            End If
                        Next
                        If exists(vehicle) AndAlso vehicle IsNot Nothing Then
                            For M As Integer = 0 To 0
                                Dim p As Ped = vehicle.getpedonseat(vehicleseat.rightfront)
                                If exists(P) AndAlso p IsNot Nothing AndAlso p.isingroup = False AndAlso p.pedtype = pedtype.cop = False AndAlso p.relationshipgroup = relationshipgroup.dealer = False AndAlso p.isrequiredformission = False AndAlso p.relationshipgroup = relationshipgroup.player = False Then
                                    p.BecomeMissionCharacter()
                                    p.Health = 100
                                    p.Armor = 50
                                    p.Enemy = True
                                    p.SetPathfinding(True, True, True)
                                    p.WillFlyThroughWindscreen = True
                                    p.CanBeKnockedOffBike = False
                                    p.WillDoDrivebys = True
                                    p.AlwaysDiesOnLowHealth = True
                                    P.PriorityTargetForEnemies = True
                                    p.Weapons.basicshotgun.Ammo = 99999
                                    p.Weapons.uzi.Ammo = 99999
                                    p.relationshipgroup = relationshipgroup.criminal
                                    p.ChangeRelationship(relationshipgroup.player, relationship.hate)
                                    p.ChangeRelationship(relationshipgroup.dealer, relationship.hate)

                                    p = Vehicle.CreatePedOnSeat(vehicleseat.rightrear)
                                    If exists(p) AndAlso p IsNot Nothing Then
                                        p.BecomeMissionCharacter()
                                        p.Health = 100
                                        p.Armor = 50
                                        p.Enemy = True
                                        p.SetPathfinding(True, True, True)
                                        p.WillFlyThroughWindscreen = False
                                        p.CanBeKnockedOffBike = False
                                        p.WillDoDrivebys = True
                                        p.AlwaysDiesOnLowHealth = True
                                        P.PriorityTargetForEnemies = True
                                        p.Weapons.mp5.Ammo = 99999
                                        p.relationshipgroup = relationshipgroup.criminal
                                        p.ChangeRelationship(relationshipgroup.player, relationship.hate)
                                        p.ChangeRelationship(relationshipgroup.dealer, relationship.hate)
                                    End If

                                    p = Vehicle.CreatePedOnSeat(vehicleseat.leftrear)
                                    If exists(p) AndAlso p IsNot Nothing Then
                                        p.BecomeMissionCharacter()
                                        p.Health = 100
                                        p.Armor = 50
                                        p.Enemy = True
                                        p.SetPathfinding(True, True, True)
                                        p.WillFlyThroughWindscreen = False
                                        p.CanBeKnockedOffBike = False
                                        p.WillDoDrivebys = True
                                        p.AlwaysDiesOnLowHealth = True
                                        P.PriorityTargetForEnemies = True
                                        p.Weapons.deserteagle.Ammo = 99999
                                        p.relationshipgroup = relationshipgroup.criminal
                                        p.ChangeRelationship(relationshipgroup.player, relationship.hate)
                                        p.ChangeRelationship(relationshipgroup.dealer, relationship.hate)
                                    End If
                                End If
                            Next
                        End If
                    End If
                Next
            End If
        End If
    End Sub
        Private Sub RandomWeapons(ByVal p As ped)
            Dim random As New Random()
            Dim a As Integer = RandomNumber(0, 7)

            If a = 0 Then
                p.Weapons.MP5.Ammo = 999999
            End If

            If a = 1 Then
                p.Weapons.BarettaShotgun.Ammo = 999999
            End If

            If a = 2 Then
                p.Weapons.AssaultRifle_M4.Ammo = 999999
            End If

            If a = 3 Then
                p.Weapons.BasicSniperRifle.Ammo = 999999
            End If

            If a = 4 Then
                p.Weapons.DesertEagle.Ammo = 999999
            End If

            If a = 5 Then
                p.Weapons.BasicShotgun.Ammo = 999999
            End If

            If a = 6 Then
                p.Weapons.AssaultRifle_AK47.Ammo = 999999
            End If

        End Sub
    Private Sub ZombiesAtNight()
        If SON Then
            nite = Not nite
            If nite Then
            Else
            End If
        End If
    End Sub
    Private Sub ZombieChoice()
        If son Then
            ZOM = Not ZOM
            If ZOM Then
            Else
            End If
        End If
    End Sub
        Private Sub ScriptOn()
            SON = Not SON
            If SON Then
            Else
            End If
        End Sub
    End Class
    Public Class BreakingDownCars
        Inherits Script
        Private nite As Boolean = False
        Private SON As Boolean = False
        Private dcar As Boolean = False
        Private ZOM As Boolean = False
        Public Sub New()
            Me.interval = 321
            settings.load()
            BindKey(Settings.GetValueKey("Toggle Script", "SETTINGS", Keys.F7), New KeyPressDelegate(AddressOf ScriptOn))
            BindKey(Settings.GetValueKey("Toggle Zombie Night Script", "SETTINGS", Keys.F4), New KeyPressDelegate(AddressOf ZombiesAtNight))
            BindKey(Settings.GetValueKey("Toggle Breaking Down Cars", "SETTINGS", Keys.L), New KeyPressDelegate(AddressOf DeadCar2))
            BindKey(Settings.GetValueKey("Toggle Zombies With Peds Or All Zombies", "SETTINGS", Keys.Delete), New KeyPressDelegate(AddressOf ZombieChoice))
        End Sub
        Private Function RandomNumber(ByVal min As Integer, ByVal max As Integer) As Integer
            Dim random As New Random()
            Return random.Next(min, max)
        End Function
    Private Sub DeadCar_Tick(ByVal sender As Object, ByVal e As EventArgs) Handles MyBase.Tick
        If SON Then
            If Not dcar Then
                If Not nite Then
                    If Not ZOM Then
                        Dim random As New Random()
                        Dim x As Integer = RandomNumber(-25, 25)
                        Dim y As Integer = RandomNumber(-25, 25)
                        Dim yy As Integer = RandomNumber(12, 32)
                        Dim t As Integer = RandomNumber(0, 3)
                        Dim b As Integer = RandomNumber(0, 11)
                        Dim w As Integer = RandomNumber(0, 4)

                        If t = 1 Then

                            Dim vehicles As vehicle() = World.GetVehicles(Player.Character.GetOffsetPosition(New Vector3(x, y, 0.0F)), 3.0F)
                            For Each vehicle As Vehicle In vehicles
                                If Not exists(vehicle) OrElse vehicle Is Nothing Then
                                    Continue For
                                End If
                                If exists(vehicle) AndAlso vehicle IsNot Nothing AndAlso vehicle.isdriveable = True AndAlso vehicle.speed > 0.0F Then
                                    If Player.Character.Position.DistanceTo(vehicle.Position) >= 2.0F Then
                                        vehicle.HazardLightsOn = True
                                        vehicle.enginehealth = 0.0
                                        'vehicle.nolongerneeded()
                                    End If
                                End If
                            Next
                        End If

                        If t = 2 Then

                            Dim vehicles As vehicle() = World.GetVehicles(Player.Character.GetOffsetPosition(New Vector3(x, y, 0.0F)), 3.0F)
                            For Each vehicle As Vehicle In vehicles
                                If Not exists(vehicle) OrElse vehicle Is Nothing Then
                                    Continue For
                                End If
                                If exists(vehicle) AndAlso vehicle IsNot Nothing AndAlso vehicle.isdriveable = True AndAlso vehicle.model.ishelicopter = False AndAlso vehicle.model.isboat = False AndAlso vehicle.model.istrain = False AndAlso vehicle.model.isplane = False AndAlso vehicle.speed > 0.0F Then
                                    If Player.Character.Position.DistanceTo(vehicle.Position) >= 2.0F Then
                                        vehicle.enginehealth = 75
                                        If w = 0 Then
                                            vehicle.bursttire(vehiclewheel.frontleft)
                                        End If
                                        If w = 1 Then
                                            If exists(vehicle) AndAlso vehicle.model.isbike = False Then
                                                vehicle.bursttire(vehiclewheel.frontright)
                                            End If
                                        End If
                                        If w = 2 Then
                                            vehicle.bursttire(vehiclewheel.rearleft)
                                        End If
                                        If w = 3 Then
                                            If exists(vehicle) AndAlso vehicle.model.isbike = False Then
                                                vehicle.bursttire(vehiclewheel.rearright)
                                            End If
                                        End If
                                        'vehicle.nolongerneeded()
                                    End If
                                End If
                            Next
                        End If

                        If t = 0 Then

                            Dim vehicles As vehicle() = World.GetVehicles(Player.Character.GetOffsetPosition(New Vector3(x, y, 0.0F)), 3.0F)
                            For Each vehicle As Vehicle In vehicles
                                If Not exists(vehicle) OrElse vehicle Is Nothing Then
                                    Continue For
                                End If
                                If exists(vehicle) AndAlso vehicle IsNot Nothing AndAlso vehicle.isdriveable = True AndAlso vehicle.speed > 0.0F Then
                                    If Player.Character.Position.DistanceTo(vehicle.Position) >= 2.0F Then
                                        vehicle.HazardLightsOn = True
                                        vehicle.enginehealth = -250
                                        'vehicle.nolongerneeded()
                                    End If
                                End If
                            Next
                        End If
                        If b = 2 Then
                            Dim vehicles As vehicle() = World.GetVehicles(Player.Character.GetOffsetPosition(New Vector3(x, yy, 0.0F)), 5.0F)
                            For Each vehicle As Vehicle In vehicles
                                If Not exists(vehicle) OrElse vehicle Is Nothing Then
                                    Continue For
                                End If
                                If exists(vehicle) AndAlso vehicle IsNot Nothing AndAlso vehicle.isdriveable = True Then
                                    If Player.Character.Position.DistanceTo(vehicle.Position) >= 7.0F Then
                                        vehicle.explode()
                                        'vehicle.nolongerneeded()
                                    End If
                                End If
                            Next
                        End If
                    End If
                End If
            End If
        End If
    End Sub
        Private Sub DeadCar2()
            If SON Then
                If Not nite Then
                    If Not ZOM Then
                        dcar = Not dcar
                        If dcar Then
                            Native.Function.Call("PRINT_STRING_WITH_LITERAL_STRING_NOW", "STRING", "Cars Won't Break Down", 4000, 1)
                        Else
                            Native.Function.Call("PRINT_STRING_WITH_LITERAL_STRING_NOW", "STRING", "Cars Will Break Down", 4000, 1)
                        End If
                    End If
                End If
                If nite Then
                    Native.Function.Call("PRINT_STRING_WITH_LITERAL_STRING_NOW", "STRING", "'Breaking Down Cars' Disabled During 'Zombie Nights'", 4000, 1)
                End If
                If ZOM Then
                    Native.Function.Call("PRINT_STRING_WITH_LITERAL_STRING_NOW", "STRING", "'Breaking Down Cars' Disabled During 'Slow Walkers Going After You'", 4000, 1)
                End If
            End If
        End Sub
        Private Sub ZombieChoice()
            ZOM = Not ZOM
            If ZOM Then
            Else
            End If
        End Sub
        Private Sub ZombiesAtNight()
            If SON Then
                nite = Not nite
                If nite Then
                Else
                End If
            End If
        End Sub
        Private Sub ScriptOn()
            SON = Not SON
            If SON Then

            Else
            End If
        End Sub
    End Class
    Public Class PanicTraffic
        Inherits Script
        Private nite As Boolean = False
        Private VEM As Boolean = False
        Private ZOM As Boolean = False
        Private SON As Boolean = False
        Public Sub New()
            Me.interval = 640
            settings.load()
            BindKey(Settings.GetValueKey("Toggle Script", "SETTINGS", Keys.F7), New KeyPressDelegate(AddressOf ScriptOn))
            BindKey(Settings.GetValueKey("Toggle Zombie Night Script", "SETTINGS", Keys.F4), New KeyPressDelegate(AddressOf ZombiesAtNight))
            BindKey(Settings.GetValueKey("Toggle Zombies With Peds Or All Zombies", "SETTINGS", Keys.Delete), New KeyPressDelegate(AddressOf ZombieChoice))
        End Sub
    Private Sub PanicTraffic_Tick(ByVal sender As Object, ByVal e As EventArgs) Handles MyBase.Tick
        If SON Then
            If Not ZOM Then
                If Not nite Then
                    Dim vehicles As vehicle() = world.getallvehicles()
                    For Each vehicle As Vehicle In vehicles
                        If Not exists(vehicle) OrElse vehicle Is Nothing Then
                            Continue For
                        End If
                        If exists(vehicle) AndAlso vehicle IsNot Nothing Then
                            Dim ped As Ped = vehicle.getpedonseat(vehicleseat.Driver)
                            If exists(ped) AndAlso ped IsNot Nothing AndAlso ped.isrequiredformission = False Then
                                ped.Task.DriveTo(vehicle, Vector3.randomxy, 30.0, False, True)
                                ped.nolongerneeded()
                            End If
                        End If
                    Next
                End If
            End If
        End If
    End Sub
        Private Sub ZombieChoice()
            If Not nite Then
                ZOM = Not ZOM
                If ZOM Then
                Else
                End If
            End If
        End Sub
        Private Sub ZombiesAtNight()
            If SON Then
                nite = Not nite
                If nite Then
                Else
                End If
            End If
        End Sub
        Private Sub ScriptOn()
            SON = Not SON
            If SON Then
            Else
            End If
        End Sub
    End Class
Public Class RemoveRadar
    Inherits Script
    Private SON As Boolean = False
    Private HOFF As Boolean = False
    Private timer As New GTA.Timer
    Public Sub New()
        Me.interval = 100
        settings.load()
        BindKey(Settings.GetValueKey("Toggle Script", "SETTINGS", Keys.F7), New KeyPressDelegate(AddressOf ScriptOn))
        BindKey(Settings.GetValueKey("Disable RADAR", "SETTINGS", Keys.M), New KeyPressDelegate(AddressOf HudAndRadar))
    End Sub
    Private Sub RadarCancelTick_Tick(ByVal sender As Object, ByVal e As EventArgs) Handles MyBase.Tick
        If SON Then
            If HOFF Then
                Native.Function.Call("DISPLAY_RADAR", False)
            End If
        End If
    End Sub
    Private Sub HudAndRadar()
        If SON Then
            HOFF = Not HOFF
            If HOFF Then
                Native.Function.Call("DISPLAY_RADAR", False)
                Native.Function.Call("PRINT_STRING_WITH_LITERAL_STRING_NOW", "STRING", "Disabled Radar", 4000, 1)
            Else
                Native.Function.Call("DISPLAY_RADAR", True)
                Native.Function.Call("PRINT_STRING_WITH_LITERAL_STRING_NOW", "STRING", "Enabled Radar", 4000, 1)
            End If
        End If
    End Sub
    Private Sub ScriptOn()
        SON = Not SON
        If SON Then

        Else
            Native.Function.Call("DISPLAY_RADAR", True)
        End If
    End Sub
End Class
Public Class RefillHealth
    Inherits Script
    Private SON As Boolean = False
    Private dhai As Boolean = False
    Private nite As Boolean = False
    Private screenFont As New GTA.Font(0.1F, FontScaling.ScreenUnits)
    Private screenBoxColor As Color = Color.FromArgb(0, 0, 0, 0)
    Public Sub New()
        interval = 500
        screenFont.Color = Color.red
        settings.load()
        BindKey(Settings.GetValueKey("Toggle Script", "SETTINGS", Keys.F7), New KeyPressDelegate(AddressOf ScriptOn))
        BindKey(Settings.GetValueKey("Display Infection Percentage", "SETTINGS", Keys.F11), New KeyPressDelegate(AddressOf DisplayHealthArmorAndInfectionPercentage))
        BindKey(Settings.GetValueKey("Toggle Zombie Night Script", "SETTINGS", Keys.F4), New KeyPressDelegate(AddressOf ZombiesAtNight))
    End Sub
    Protected Sub HealthandArmorRegeneration_PerFrameDrawing(ByVal sender As Object, ByVal e As GraphicsEventArgs) Handles MyBase.PerFrameDrawing
        If SON Then
            If isKeyPressed(Settings.GetValueKey("Heal Player / Inspect Ambulance For Antivirus", "SETTINGS", Keys.O)) AndAlso player.character.health < 82 Then
                Player.Character.Health += 0.65
                e.Graphics.Scaling = FontScaling.ScreenUnits
                Dim rect = New RectangleF(0.07F, 0.3F, 0.8F, 0.1F)
                e.Graphics.DrawRectangle(rect, screenBoxColor)
                e.Graphics.DrawText("+", rect, TextAlignment.Center Or TextAlignment.VerticalCenter, screenFont)
            End If

        End If
    End Sub
    Private Sub CollectAntivirus_Tick(ByVal sender As Object, ByVal e As EventArgs) Handles MyBase.Tick
        If son Then
            If dhai Then
                If isKeyPressed(Settings.GetValueKey("Heal Player / Inspect Ambulance For Antivirus", "SETTINGS", Keys.O)) Then
                    Dim v As vehicle = world.getclosestvehicle(player.character.position, 2.0F, "ambulance")
                    If exists(v) AndAlso v IsNot Nothing AndAlso v.isdriveable = True AndAlso player.character.isinvehicle = False AndAlso v.isrequiredformission = False Then
                        Native.Function.Call("OPEN_CAR_DOOR", v, 3)
                        wait(10)
                        Native.Function.Call("OPEN_CAR_DOOR", v, 2)
                        wait(10)
                        Native.Function.Call("OPEN_CAR_DOOR", v, 1)
                        wait(10)
                        Native.Function.Call("OPEN_CAR_DOOR", v, 0)
                        wait(10)
                        v.enginehealth = -50
                        V.PetrolTankHealth = -50
                        If exists(v) Then
                            Dim vehicles As vehicle() = world.getvehicles(New vector3(-294.33F, -79.01F, 275.43), 1.0F, "Faggio")
                            For Each vehicle As vehicle In vehicles
                                If exists(vehicle) AndAlso vehicle IsNot Nothing AndAlso vehicle.isrequiredformission = True Then
                                    vehicle.health = 300
                                    player.character.health = 100
                                    Native.Function.Call("PRINT_STRING_WITH_LITERAL_STRING_NOW", "STRING", "FOUND ANTIVIRUS!  RUN!", 4000, 1)
                                    'game.displaytext("FOUND ANTIVIRUS!  RUN!", 4000)
                                End If
                            Next
                        End If
                    End If
                End If
            End If
        End If
    End Sub
    Private Sub ZombiesAtNight()
        If SON Then
            nite = Not nite
            If nite Then
            Else
            End If
        End If
    End Sub
    Private Sub DisplayHealthArmorAndInfectionPercentage()
        If son Then
            dhai = Not dhai
            If dhai Then
            Else
            End If
        End If
    End Sub
    Private Sub ScriptOn()
        SON = Not SON
        If SON Then
        Else
        End If
    End Sub
End Class
    Public Class DisplayHealthArmorInfection
        Inherits Script
        Private SON As Boolean = False
    Private dhai As Boolean = False
    Private inf As Boolean = False
    Private screenFont As New GTA.Font(0.024F, FontScaling.ScreenUnits)
    Private screenFont2 As New GTA.Font(0.024F, FontScaling.ScreenUnits)
    Private screenFont3 As New GTA.Font(0.024F, FontScaling.ScreenUnits)
        Private timer As New GTA.Timer
        Private screenBoxColor As Color = Color.FromArgb(0, 0, 0, 0)
        Public Sub New()
            interval = 1200
            screenFont.Color = Color.white ' health
            screenFont2.Color = Color.white ' armor
            screenFont3.Color = Color.orangered ' infection
            settings.load()
            BindKey(Settings.GetValueKey("Toggle Script", "SETTINGS", Keys.F7), New KeyPressDelegate(AddressOf ScriptOn))
        BindKey(Settings.GetValueKey("Display Infection Percentage", "SETTINGS", Keys.F11), New KeyPressDelegate(AddressOf DisplayInfectionPercentage))
        BindKey(Settings.GetValueKey("Display Health and Armor Percentage", "SETTINGS", Keys.F12), New KeyPressDelegate(AddressOf DisplayHealthAndArmorPercentage))
        End Sub
    Private Function RandomNumber(ByVal min As Integer, ByVal max As Integer) As Integer
        Dim random As New Random()
        Return random.Next(min, max)
    End Function
    Protected Sub HealthandArmorDisplay_PerFrameDrawing(ByVal sender As Object, ByVal e As GraphicsEventArgs) Handles MyBase.PerFrameDrawing
        If SON Then
            If dhai Then
                Dim health As Integer = player.character.health
                e.Graphics.Scaling = FontScaling.ScreenUnits
                Dim rect = New RectangleF(0.0F, 0.45F, 0.2F, 0.1F)
                e.Graphics.DrawRectangle(rect, screenBoxColor)
                e.Graphics.DrawText("Health: " & health, rect, TextAlignment.Center Or TextAlignment.VerticalCenter, screenFont)


                Dim armor As Integer = player.character.armor
                e.Graphics.Scaling = FontScaling.ScreenUnits
                Dim rect2 = New RectangleF(0.0F, 0.5F, 0.2F, 0.1F)   'x , y, box width, box height 
                e.Graphics.DrawRectangle(rect2, screenBoxColor)
                e.Graphics.DrawText("Armor: " & armor, rect2, TextAlignment.Center Or TextAlignment.VerticalCenter, screenFont2)
            End If
        End If
    End Sub
    Protected Sub InfectionTolerenceLevel_PerFrameDrawing(ByVal sender As Object, ByVal e As GraphicsEventArgs) Handles MyBase.PerFrameDrawing
        If son Then
            If inf Then
                Dim meter As Integer
                Dim vehicles As vehicle() = world.getvehicles(New vector3(-294.33F, -79.01F, 275.43), 1.0F, "Faggio")
                For Each vehicle As vehicle In vehicles

                    If exists(vehicle) AndAlso vehicle IsNot Nothing AndAlso vehicle.isrequiredformission = True Then
                        meter = vehicle.health
                    End If
                    If timer.ElapsedTime > 1250 Then
                        If exists(vehicle) AndAlso vehicle IsNot Nothing AndAlso vehicle.health > 300 AndAlso vehicle.health <= 399 Then
                            vehicle.health += 1.0
                        End If
                        If exists(vehicle) AndAlso vehicle IsNot Nothing AndAlso vehicle.health = 400 Then
                            player.character.health -= 1
                            Dim random As New Random()
                            Dim H As Integer = RandomNumber(0, 3)
                            If H = 1 Then
                                If player.character.health <= 20 Then
                                    Native.Function.Call("Do_Screen_Fade_Out", 300)
                                    Native.Function.Call("Do_Screen_Fade_In", 300)
                                End If
                            End If
                        End If

                        If exists(vehicle) AndAlso vehicle IsNot Nothing AndAlso vehicle.health > 400 Then
                            vehicle.health = 400
                        End If

                        If exists(vehicle) AndAlso vehicle IsNot Nothing AndAlso vehicle.health < 300 Then
                            vehicle.health = 300
                        End If

                        If exists(vehicle) AndAlso vehicle IsNot Nothing AndAlso player.character.health < 0 Then
                            vehicle.health = 300
                        End If
                        timer.start()
                    End If
                Next
                e.Graphics.Scaling = FontScaling.ScreenUnits
                Dim rect3 = New RectangleF(0.0F, 0.4F, 0.2F, 0.1F)
                e.Graphics.DrawRectangle(rect3, screenBoxColor)
                e.Graphics.DrawText("Infection% " & meter - 300, rect3, TextAlignment.center Or TextAlignment.VerticalCenter, screenFont3)
            End If
        End If
    End Sub
    Private Sub DisplayHealthAndArmorPercentage()
        If son Then
            dhai = Not dhai
            If dhai Then
                Native.Function.Call("PRINT_STRING_WITH_LITERAL_STRING_NOW", "STRING", "Health and Armor Meters Enabled", 4000, 1)

            Else
                Native.Function.Call("PRINT_STRING_WITH_LITERAL_STRING_NOW", "STRING", "Health and Armor Meters Disabled", 4000, 1)
            End If
        End If
    End Sub
    Private Sub DisplayInfectionPercentage()
        If son Then
            inf = Not inf
            If inf Then
                Native.Function.Call("PRINT_STRING_WITH_LITERAL_STRING_NOW", "STRING", "Infection Meter Enabled", 4000, 1)

            Else
                Native.Function.Call("PRINT_STRING_WITH_LITERAL_STRING_NOW", "STRING", "Infection Meter Disabled", 4000, 1)
            End If
        End If
    End Sub
        Private Sub ScriptOn()
            SON = Not SON
            If SON Then
                timer.start()
                Dim vehicle As vehicle = world.createvehicle("Faggio", New vector3(-294.33F, -79.01F, 275.43))
                If exists(vehicle) AndAlso vehicle IsNot Nothing Then
                    vehicle.isrequiredformission = True
                    vehicle.heading = 180.0F
                    vehicle.visible = False
                    Vehicle.MakeProofTo(True, True, True, True, True)
                    vehicle.freezeposition = True
                    Vehicle.health = 300
                    'Dim blip As blip = blip.addblip(vehicle)
                    'blip.color = blipcolor.green
                Else
                    vehicle = world.createvehicle("Faggio", New vector3(-294.33F, -79.01F, 275.43))
                    If exists(vehicle) AndAlso vehicle IsNot Nothing Then
                        vehicle.isrequiredformission = True
                        vehicle.heading = 180.0F
                        vehicle.visible = False
                        Vehicle.MakeProofTo(True, True, True, True, True)
                        vehicle.freezeposition = True
                        Vehicle.health = 300
                        'Dim blip As blip = blip.addblip(vehicle)
                        'blip.color = blipcolor.green
                    End If
                End If

            Else
                timer.stop()
                Dim vehicles As vehicle() = world.getvehicles(New vector3(-294.33F, -79.01F, 275.43), 1.0F, "Faggio")
                For Each vehicle As vehicle In vehicles
                    If exists(vehicle) AndAlso vehicle IsNot Nothing AndAlso vehicle.isrequiredformission = True Then
                        vehicle.delete()
                    End If
                Next
            End If
        End Sub
    End Class
    Public Class DisplayVehicleEngineAndSpeed
    Inherits Script
    Private SON As Boolean = False
    Private dves As Boolean = False
    Private screenFont1 As New GTA.Font(0.024F, FontScaling.ScreenUnits)
    Private screenFont2 As New GTA.Font(0.024F, FontScaling.ScreenUnits)
    Private screenFont3 As New GTA.Font(0.024F, FontScaling.ScreenUnits)
    Private timer As New GTA.Timer
        Private screenBoxColor As Color = Color.FromArgb(0, 0, 0, 0)
        Public Sub New()
            interval = 250
            screenFont1.Color = Color.white ' speed
            screenFont2.Color = Color.white 'darkgray 'greenyellow ' engine
            settings.load()
            BindKey(Settings.GetValueKey("Toggle Script", "SETTINGS", Keys.F7), New KeyPressDelegate(AddressOf ScriptOn))
            BindKey(Settings.GetValueKey("Vehicle Speed And Health", "SETTINGS", Keys.F10), New KeyPressDelegate(AddressOf DisplayVehicleStats))
        End Sub
    Protected Sub VehicleHealthSpeed_PerFrameDrawing(ByVal sender As Object, ByVal e As GraphicsEventArgs) Handles MyBase.PerFrameDrawing
        If son Then
            If dves Then
                Dim health As Integer
                Dim speed As Integer
                If player.character.isinvehicle = True Then
                    Dim vehicle As Vehicle = Game.LocalPlayer.Character.CurrentVehicle
                    'Dim vehicle As vehicle = world.getclosestvehicle(player.character.position, 2.0)
                    If exists(vehicle) AndAlso vehicle IsNot Nothing AndAlso player.character.isinvehicle = True Then
                        If exists(vehicle) AndAlso vehicle IsNot Nothing AndAlso player.character.isinvehicle = True Then
                            health = Vehicle.Health / 10 ' display of "100" looks better than "1000" next to other meters
                        End If
                        If exists(vehicle) AndAlso vehicle IsNot Nothing AndAlso player.character.isinvehicle = True Then
                            speed = Vehicle.speed * 2.23693
                        End If
                    End If
                End If
                e.Graphics.Scaling = FontScaling.ScreenUnits
                Dim rect2 = New RectangleF(0.0F, 0.55F, 0.2F, 0.1F)
                e.Graphics.DrawRectangle(rect2, screenBoxColor)
                e.Graphics.DrawText("Vehicle: " & health, rect2, TextAlignment.center Or TextAlignment.VerticalCenter, screenFont2)

                e.Graphics.Scaling = FontScaling.ScreenUnits
                Dim rect1 = New RectangleF(0.0F, 0.6F, 0.2F, 0.1F)
                e.Graphics.DrawRectangle(rect1, screenBoxColor)
                e.Graphics.DrawText("Speed MPH: " & speed, rect1, TextAlignment.center Or TextAlignment.VerticalCenter, screenFont1)
            End If
        End If
    End Sub
    Private Sub DisplayVehicleStats()
        If son Then
            dves = Not dves
            If dves Then
                Native.Function.Call("PRINT_STRING_WITH_LITERAL_STRING_NOW", "STRING", "Vehicle Health And Speed Meters Enabled", 4000, 1)
            Else
                Native.Function.Call("PRINT_STRING_WITH_LITERAL_STRING_NOW", "STRING", "Vehicle Health And Speed Meters Disabled", 4000, 1)
            End If
        End If
    End Sub
        Private Sub ScriptOn()
            SON = Not SON
            If SON Then
            Else
            End If
        End Sub
    End Class
    Public Class DisplayVehicleFuelLevel
        Inherits Script
        Private SON As Boolean = False
        Private dves As Boolean = False
    Private screenFont3 As New GTA.Font(0.024F, FontScaling.ScreenUnits)
        Private timer As New GTA.Timer
        Private screenBoxColor As Color = Color.FromArgb(0, 0, 0, 0)
        Public Sub New()
            interval = 250
            screenFont3.Color = Color.white 'lightgray 'gold ' fuel
            settings.load()
            BindKey(Settings.GetValueKey("Toggle Script", "SETTINGS", Keys.F7), New KeyPressDelegate(AddressOf ScriptOn))
            BindKey(Settings.GetValueKey("Enable Fuel System", "SETTINGS", Keys.F9), New KeyPressDelegate(AddressOf DisplayVehicleStats))
        End Sub
        Private Function RandomNumber(ByVal min As Integer, ByVal max As Integer) As Integer
            Dim random As New Random()
            Return random.Next(min, max)
        End Function
    Protected Sub Fuel_PerFrameDrawing(ByVal sender As Object, ByVal e As GraphicsEventArgs) Handles MyBase.PerFrameDrawing
        If son Then
            If dves Then
                Dim fuel As String
                If player.character.isinvehicle = True Then
                    'Dim vehicle As vehicle = world.getclosestvehicle(player.character.position, 2.0)
                    Dim vehicle As Vehicle = Game.LocalPlayer.Character.CurrentVehicle
                    If exists(vehicle) AndAlso vehicle IsNot Nothing AndAlso player.character.isinvehicle = True Then
                        If exists(vehicle) AndAlso vehicle.petroltankhealth = 1000 Then
                            Dim random As New Random()
                            Dim g As Integer = RandomNumber(200, 999)
                            vehicle.petroltankhealth = g
                        End If
                        If timer.ElapsedTime > 1000 Then
                            If exists(vehicle) AndAlso vehicle IsNot Nothing AndAlso vehicle.petroltankhealth >= 50 Then
                                If exists(vehicle) AndAlso vehicle IsNot Nothing AndAlso vehicle.speed > 1 Then
                                    vehicle.petroltankhealth -= 2.0
                                End If
                                If exists(vehicle) AndAlso vehicle IsNot Nothing AndAlso vehicle.speed > 20 Then
                                    vehicle.petroltankhealth -= 3.0
                                End If
                                If exists(vehicle) AndAlso vehicle IsNot Nothing AndAlso vehicle.speed > 35 Then
                                    vehicle.petroltankhealth -= 3.5
                                End If
                                If exists(vehicle) AndAlso vehicle IsNot Nothing AndAlso vehicle.speed > 50 Then
                                    vehicle.petroltankhealth -= 4.0
                                End If
                                If exists(vehicle) AndAlso vehicle IsNot Nothing AndAlso vehicle.speed > 65 Then
                                    vehicle.petroltankhealth -= 5.0
                                End If
                                If exists(vehicle) AndAlso vehicle IsNot Nothing AndAlso vehicle.speed > 75 Then
                                    vehicle.petroltankhealth -= 6.0
                                End If
                            End If
                            timer.start()
                        End If
                    End If
                    If exists(vehicle) AndAlso vehicle IsNot Nothing AndAlso player.character.isinvehicle = True Then
                        If exists(vehicle) AndAlso vehicle IsNot Nothing AndAlso vehicle.petroltankhealth >= 50 AndAlso vehicle.petroltankhealth <= 75 Then
                            Fuel = "EMPTY"
                        End If
                        If exists(vehicle) AndAlso vehicle IsNot Nothing AndAlso vehicle.petroltankhealth >= 76 AndAlso vehicle.petroltankhealth <= 250 Then
                            Fuel = "1/4"
                        End If
                        If exists(vehicle) AndAlso vehicle IsNot Nothing AndAlso vehicle.petroltankhealth >= 251 AndAlso vehicle.petroltankhealth <= 500 Then
                            Fuel = "1/2"
                        End If
                        If exists(vehicle) AndAlso vehicle IsNot Nothing AndAlso vehicle.petroltankhealth >= 501 AndAlso vehicle.petroltankhealth <= 750 Then
                            Fuel = "3/4"
                        End If
                        If exists(vehicle) AndAlso vehicle IsNot Nothing AndAlso vehicle.petroltankhealth >= 751 AndAlso vehicle.petroltankhealth <= 1000 Then
                            Fuel = "FULL"
                        End If
                        If exists(vehicle) AndAlso vehicle IsNot Nothing AndAlso vehicle.petroltankhealth <= 50 AndAlso vehicle.speed >= 1 Then
                            If exists(vehicle) AndAlso vehicle IsNot Nothing AndAlso player.character.isinvehicle = True Then
                                Native.Function.Call("SET_CAR_ENGINE_ON", vehicle, 0, 0)
                                Vehicle.EngineRunning = False
                                vehicle.speed -= 1
                            End If
                        End If
                    End If
                End If
                e.Graphics.Scaling = FontScaling.ScreenUnits
                Dim rect3 = New RectangleF(0.0F, 0.65F, 0.2F, 0.1F)
                e.Graphics.DrawRectangle(rect3, screenBoxColor)
                e.Graphics.DrawText("Fuel Level: " & fuel, rect3, TextAlignment.center Or TextAlignment.VerticalCenter, screenFont3)
            End If
        End If
    End Sub
    Private Sub DisplayVehicleStats()
        If son Then
            dves = Not dves
            If dves Then
                Native.Function.Call("PRINT_STRING_WITH_LITERAL_STRING_NOW", "STRING", "Vehicle Fuel Tank Level Status Activated", 4000, 1)
            Else
                Native.Function.Call("PRINT_STRING_WITH_LITERAL_STRING_NOW", "STRING", "Vehicle Fuel Tank Level Status Deactivated", 4000, 1)
            End If
        End If
    End Sub
        Private Sub ScriptOn()
            SON = Not SON
            If SON Then
                timer.start()
            Else
                timer.stop()
            End If
        End Sub
End Class
Public Class ZombieNight
    Inherits Script
    Private SON As Boolean = False
    Private nite As Boolean = False
    Private pday As Boolean = False
    Private ztog As Boolean = False
    Private timer As New GTA.Timer
    Private animzom As New AnimationSet("amb@drunk")
    Private animflags As AnimationFlags = AnimationFlags.Unknown11 Or AnimationFlags.Unknown09
    Private Group As Group = Player.Group
    Public Sub New()
        Me.interval = 200
        BindKey(Settings.GetValueKey("Toggle Script", "SETTINGS", Keys.F7), New KeyPressDelegate(AddressOf ScriptOn))
        BindKey(Settings.GetValueKey("Toggle Zombie Night Script", "SETTINGS", Keys.F4), New KeyPressDelegate(AddressOf ZombiesAtNight))
        BindKey(Settings.GetValueKey("Toggle Zombie Animation", "SETTINGS", Keys.I), New KeyPressDelegate(AddressOf ZombieTypesToggle))
        World.UnlockAllIslands()
        Game.AllowEmergencyServices = False
    End Sub
    Private Function RandomNumber(ByVal min As Integer, ByVal max As Integer) As Integer
        Dim random As New Random()
        Return random.Next(min, max)
    End Function
    Private Sub TimeTo_Tick(ByVal sender As Object, ByVal e As EventArgs) Handles MyBase.Tick
        If SON Then
            If nite Then
                World.cardensity = 1.3

                Native.Function.Call("CLEAR_AREA_OF_COPS", 257.754F, 561.058F, 1.69491F, 5000.0F)
                Native.Function.Call("SWITCH_AMBIENT_PLANES", 0)
                Native.Function.Call("DISABLE_POLICE_SCANNER")
                Native.Function.Call("DONT_DISPATCH_COPS_FOR_PLAYER", Player, 1)
                player.wantedlevel = 0

                Dim vehicles1 As vehicle() = world.getvehicles(player.character.position, 225.0F)
                For Each vehicle As Vehicle In vehicles1
                    If Not exists(vehicle) OrElse vehicle Is Nothing Then
                        Continue For
                    End If
                    Native.Function.Call("Apply_Force_To_Car", vehicle, True, 0.0F, 0.0F, -0.005F, 0.0F, 0.0F, 0.0F, True, False, True, True)
                    If exists(vehicle) AndAlso vehicle IsNot Nothing AndAlso vehicle.isonfire = True Then
                        Native.Function.Call("FREEZE_CAR_POSITION", vehicle, False)
                    End If
                    If exists(vehicle) AndAlso vehicle IsNot Nothing AndAlso vehicle.isdriveable = False Then
                        Native.Function.Call("FREEZE_CAR_POSITION", vehicle, False)
                    End If
                    If exists(vehicle) AndAlso vehicle IsNot Nothing AndAlso vehicle.isalive = False Then
                        Native.Function.Call("FREEZE_CAR_POSITION", vehicle, False)
                    End If
                    If exists(vehicle) AndAlso vehicle IsNot Nothing AndAlso vehicle.model.iscar AndAlso vehicle.speed > 0 AndAlso vehicle.isrequiredformission = False AndAlso player.character.position.distanceto(vehicle.position) >= 5.0F Or exists(vehicle) AndAlso vehicle IsNot Nothing AndAlso vehicle.model.isbike AndAlso vehicle.speed > 0 AndAlso vehicle.isrequiredformission = False AndAlso player.character.position.distanceto(vehicle.position) >= 5.0F Then
                        Native.Function.Call("FREEZE_CAR_POSITION", vehicle, True)
                        Native.Function.Call("FORCE_CAR_LIGHTS", vehicle, 1)
                        If exists(vehicle) AndAlso Native.Function.Call(Of Boolean)("SET_CAR_ENGINE_ON", vehicle, 0, 0) = False Then
                            Native.Function.Call("SET_CAR_ENGINE_ON", vehicle, 0, 0)
                        End If
                    End If
                    If exists(vehicle) AndAlso vehicle IsNot Nothing AndAlso vehicle.model.iscar AndAlso vehicle.speed = 0 AndAlso vehicle.isrequiredformission = False AndAlso player.character.position.distanceto(vehicle.position) >= 1.0F Or exists(vehicle) AndAlso vehicle IsNot Nothing AndAlso vehicle.model.isbike AndAlso vehicle.speed = 0 AndAlso vehicle.isrequiredformission = False AndAlso player.character.position.distanceto(vehicle.position) >= 1.0F Then
                        Native.Function.Call("FORCE_CAR_LIGHTS", vehicle, 1)
                        Native.Function.Call("FREEZE_CAR_POSITION", vehicle, False)
                    End If
                    If exists(vehicle) AndAlso vehicle IsNot Nothing AndAlso player.character.isinvehicle = True Then
                        Native.Function.Call("FORCE_CAR_LIGHTS", vehicle, 0)
                        If exists(vehicle) AndAlso vehicle.EngineRunning = False Then
                            vehicle.NeedsToBeHotwired = True
                        End If
                    End If
                Next


                If World.CurrentDate.Hour >= 21 Or World.CurrentDate.Hour <= 6 Then

                    Dim pedz As ped() = world.getpeds(player.character.position, 200.0F)
                    For Each ped As ped In pedz
                        If exists(ped) AndAlso ped IsNot Nothing AndAlso ped.isinvehicle = True AndAlso ped = player.character = False AndAlso ped.isingroup = False Then
                            ped.delete()
                        End If
                    Next
                    If Not ztog Then
                        ZombieRunnersBuilder()
                    End If
                    If ztog Then
                        ZombieSlowWalkerBuilder()
                    End If
                End If

                If World.CurrentDate.Hour = 2 Then
                    World.PedDensity = 1.0 'zombies
                End If

                If World.CurrentDate.Hour = 5 Then
                    World.PedDensity = 0.8 'zombies
                End If

                If World.CurrentDate.Hour = 6 Then
                    World.PedDensity = 0.6 'zombies
                End If

                If World.CurrentDate.Hour >= 6 AndAlso world.currentdate.minute >= 30 AndAlso World.CurrentDate.Hour <= 7 Or World.CurrentDate.Hour = 7 Then
                    'If World.CurrentDate.Hour = 7 Then
                    World.PedDensity = 0.0
                    Dim pedz As ped() = world.getpeds(player.character.position, 150.0F)
                    For Each ped As ped In pedz
                        If exists(ped) AndAlso ped IsNot Nothing AndAlso ped.isrequiredformission = False Or exists(ped) AndAlso ped IsNot Nothing AndAlso ped.isingroup = False Then 'AndAlso ped = player.character = False AndAlso ped.isingroup = False AndAlso ped.isonfire = False Then
                            ped.isonfire = True
                        End If
                    Next

                End If

                If World.CurrentDate.Hour >= 7 AndAlso World.CurrentDate.Hour <= 20 Then
                    
                    Scavengers()


                    Dim pedz As ped() = world.getpeds(player.character.position, 200.0F)
                    For Each ped As ped In pedz
                        If exists(ped) AndAlso ped IsNot Nothing AndAlso ped.isingroup = False AndAlso ped.isrequiredformission = False Then
                            ped.die()
                        End If
                        If exists(ped) AndAlso ped IsNot Nothing AndAlso ped.isrequiredformission = True AndAlso ped.isingroup = False AndAlso ped = player.character = False AndAlso ped.isinvehicle = False AndAlso player.character.position.distanceto(ped.position) >= 60.0F Then 'vehicle.model.ishelicopter = False Then
                            ped.nolongerneeded()
                        End If

                        If exists(ped) AndAlso ped IsNot Nothing AndAlso ped.isinvehicle = True AndAlso ped = player.character = False AndAlso ped.isingroup = False AndAlso ped.isrequiredformission = False Then
                            ped.delete()
                        End If
                    Next
                End If
            End If

            If World.CurrentDate.Hour = 8 Then
                World.CarDensity = 1.3
                World.PedDensity = 0.0
            End If

            If World.CurrentDate.Hour = 20 Then
                World.PedDensity = 0.5
            End If

            If World.CurrentDate.Hour = 21 Then
                World.PedDensity = 0.6 'zombies

            End If

            If World.CurrentDate.Hour = 22 Then
                World.PedDensity = 0.7 'zombies
            End If

            If World.CurrentDate.Hour = 23 Then
                World.PedDensity = 0.8 'zombies
            End If

        End If

    End Sub
    Private Sub ZombieRunnersBuilder()
        Dim peds As ped() = World.GetPeds(player.character.position, 150.0F)
        For Each ped As ped In peds
            If exists(ped) AndAlso ped IsNot Nothing AndAlso ped.isingroup = False AndAlso ped = player.character = False AndAlso ped.relationshipgroup = relationshipgroup.dealer = False Then '
                Ped.CancelAmbientSpeech()
                ped.weapons.removeall()
                Ped.Senserange = 1.0F
                Ped.WillUseCarsInCombat = False
                Ped.AlwaysDiesOnLowHealth = True
                ped.enemy = True
                ped.maxhealth = 100
                ped.Health = 100
                Ped.Money = 0
                ped.RelationshipGroup = relationshipgroup.dealer
                ped.ChangeRelationship(relationshipgroup.player, relationship.companion)
                ped.task.alwayskeeptask = True
                Ped.Task.GoTo(Player)

                Ped.Voice = "M_ZOMBIE"
                Native.Function.Call("SET_ANIM_GROUP_FOR_CHAR", Ped, "move_m@bum")
                ped.animation.Play(animzom, "bum_fight", 10.0F, animflags)
                Native.Function.Call("Set_Char_Move_Anim_Speed_Multiplier", Ped, 1.5F)
                Native.Function.Call("SET_PED_DONT_DO_EVASIVE_DIVES", Ped, True)
                Native.Function.Call("SET_CHAR_DROWNS_IN_WATER", ped, True)
                Native.Function.Call("SET_CHAR_WILL_MOVE_WHEN_INJURED", ped, False)
                Native.Function.Call("SET_CHAR_FIRE_DAMAGE_MULTIPLIER", Ped, 99) 'number is multiplier
                Native.Function.Call("SET_PED_PATH_MAY_DROP_FROM_HEIGHT", ped, True)
                Native.Function.Call("SET_PED_PATH_MAY_USE_CLIMBOVERS", ped, True)
                Native.Function.Call("SET_PED_PATH_MAY_USE_LADDERS", ped, True)
                Native.Function.Call("SAY_AMBIENT_SPEECH", Ped, "MOAN", 1, 1, 2)
            End If
        Next
    End Sub
    Private Sub KeepEmComing_Tick(ByVal sender As Object, ByVal e As EventArgs) Handles MyBase.Tick
        If SON Then
            If nite Then
                wait(10)
                Dim peds As ped() = world.getpeds(player.character.position, 100.0F)
                For Each ped As Ped In peds
                    If exists(ped) AndAlso ped IsNot Nothing AndAlso ped.RelationshipGroup = RelationshipGroup.dealer = True AndAlso ped.isingroup = False AndAlso ped.position.distanceto(player.character.position) <= 3.0F Then
                        ped.task.goto(player.character.position, True)
                    End If
                    If exists(ped) AndAlso ped IsNot Nothing AndAlso ped.RelationshipGroup = RelationshipGroup.dealer = True AndAlso ped.isingroup = False AndAlso ped.position.distanceto(player.character.position) >= 3.0F AndAlso ped.position.distanceto(player.character.position) <= 4.0F Then
                        ped.task.goto(player)
                        'Else
                        'If exists(ped) AndAlso ped.RelationshipGroup = RelationshipGroup.dealer = True AndAlso ped.isingroup = False AndAlso ped.position.distanceto(player.character.position) <= 2.0F Then
                        'ped.task.runto(player.character.position, True)
                        'End If
                    End If
                Next
            End If
        End If
    End Sub

    Private Sub ZombieSlowWalkerBuilder()
        If SON Then
            If nite Then
                If ztog Then
                    Dim pedz As ped() = world.getpeds(player.character.position, 100.0F)
                    For Each survivor As ped In pedz
                        If Not Exists(survivor) OrElse survivor Is Nothing Then
                            Continue For
                        End If
                        'If exists(survivor) AndAlso survivor IsNot Nothing Then
                        If exists(survivor) AndAlso survivor IsNot Nothing AndAlso survivor.isrequiredformission = True Or exists(survivor) AndAlso survivor IsNot Nothing AndAlso survivor = player.character = True Then
                            wait(15)
                            Dim peds As ped() = world.getpeds(survivor.position, 100.0F)
                            For Each ped As ped In peds

                                If Not Exists(ped) OrElse ped Is Nothing Then
                                    Continue For
                                End If

                                If Exists(ped) AndAlso ped IsNot Nothing AndAlso Ped.isRequiredForMission = False AndAlso ped.isAlive = True AndAlso Ped = Player.Character = False AndAlso ped.isinvehicle = False Then
                                    BehaviourNatives(ped)
                                    Ped.Health = 125
                                End If

                                If Exists(ped) AndAlso ped IsNot Nothing AndAlso Ped.isRequiredForMission = False AndAlso ped.isAlive = True AndAlso Ped = Player.Character = False AndAlso ped.isinvehicle = False Then
                                    If ped.position.distanceto(survivor.position) <= 8.0F Then
                                        If exists(ped) AndAlso ped IsNot Nothing AndAlso ped.isonscreen = True Then 'AndAlso Native.Function.Call(Of Boolean)("TASK_GO_STRAIGHT_TO_COORD", ped) = False Then
                                            Ped.Task.GoTo(survivor.Position, True)
                                        End If
                                        If exists(ped) AndAlso ped IsNot Nothing AndAlso ped.isonscreen = False AndAlso Native.Function.Call(Of Boolean)("TASK_GO_TO_COORD_ANY_MEANS", ped) = False Then
                                            Ped.Task.GoTo(survivor.Position, False)
                                        End If
                                    End If
                                End If

                                If exists(ped) AndAlso ped IsNot Nothing AndAlso survivor.position.distanceto(ped.position) <= 60.0F AndAlso survivor = player.character = True AndAlso ped.isrequiredformission = False AndAlso survivor.isalive = True AndAlso ped.isinvehicle = False Then
                                    If exists(ped) AndAlso ped IsNot Nothing AndAlso ped.isonscreen = True Then 'AndAlso Native.Function.Call(Of Boolean)("TASK_GO_STRAIGHT_TO_COORD", Ped) = False Then
                                        Ped.Task.GoTo(survivor.Position, True)
                                    End If
                                    If exists(ped) AndAlso ped IsNot Nothing AndAlso ped.isonscreen = False AndAlso Native.Function.Call(Of Boolean)("TASK_GO_TO_COORD_ANY_MEANS", Ped) = False Then
                                        Ped.Task.GoTo(survivor.Position, False)
                                    End If
                                End If

                                If exists(ped) AndAlso ped IsNot Nothing AndAlso Native.Function.Call(Of Boolean)("IS_CHAR_GETTING_UP", Ped) = True AndAlso ped.isrequiredformission = False AndAlso ped = player.character = False AndAlso survivor.isalive = True AndAlso ped.isinvehicle = False Then

                                    If ped.position.distanceto(survivor.position) <= 15.0F Then
                                        If exists(ped) AndAlso ped IsNot Nothing AndAlso ped.isonscreen = True Then 'AndAlso Native.Function.Call(Of Boolean)("TASK_GO_STRAIGHT_TO_COORD", ped) = False Then
                                            Ped.Task.GoTo(survivor.Position, True)
                                        End If
                                        If exists(ped) AndAlso ped IsNot Nothing AndAlso ped.isonscreen = False AndAlso Native.Function.Call(Of Boolean)("TASK_GO_TO_COORD_ANY_MEANS", ped) = False Then
                                            Ped.Task.GoTo(survivor.Position, False)
                                        End If
                                    End If
                                End If

                                If exists(ped) AndAlso ped IsNot Nothing AndAlso survivor.position.distanceto(ped.position) <= 2.0F AndAlso survivor.position.distanceto(ped.position) >= 0.5F AndAlso ped.isrequiredformission = False AndAlso ped = player.character = False AndAlso Native.Function.Call(Of Boolean)("IS_CHAR_PLAYING_ANIM", Ped, "amb@drunk", "bum_fight") = False AndAlso Native.Function.Call(Of Boolean)("IS_CHAR_GETTING_UP", Ped) = False AndAlso survivor.isalive = True AndAlso ped.isinvehicle = False Then
                                    Ped.Task.PlayAnimation(animzom, "bum_fight", 10.0F, animflags)
                                    If exists(ped) AndAlso ped IsNot Nothing AndAlso ped.isonscreen = True Then 'AndAlso Native.Function.Call(Of Boolean)("TASK_GO_STRAIGHT_TO_COORD", ped) = False Then
                                        Ped.Task.GoTo(survivor.Position, True)
                                    End If
                                    If exists(ped) AndAlso ped IsNot Nothing AndAlso ped.isonscreen = False AndAlso Native.Function.Call(Of Boolean)("TASK_GO_TO_COORD_ANY_MEANS", ped) = False Then
                                        Ped.Task.GoTo(survivor.Position, False)
                                    End If
                                End If

                                If exists(ped) AndAlso ped IsNot Nothing AndAlso ped.isrequiredformission = True AndAlso player.character.position.distanceto(ped.position) >= 82.0F Then
                                    ped.nolongerneeded()
                                End If

                                If exists(survivor) AndAlso survivor IsNot Nothing AndAlso survivor.health <= 20 AndAlso survivor.position.distanceto(ped.position) <= 2.0 AndAlso survivor = player.character = False AndAlso ped = player.character = False Then
                                    If survivor.isingroup = True Then
                                        group.removemember(survivor)
                                        survivor.nolongerneeded()
                                        BehaviourNatives(survivor)
                                        survivor.health = 100
                                    End If
                                    If survivor.isingroup = False Then
                                        survivor.nolongerneeded()
                                        BehaviourNatives(survivor)
                                        survivor.health = 100
                                    End If
                                End If
                            Next
                        End If
                        'End If
                    Next
                    wait(15)
                    Dim pedzom As ped() = world.getpeds(player.character.position, 30.0F, 7)
                    For Each zom As ped In pedzom
                        If exists(zom) AndAlso zom IsNot Nothing AndAlso zom.isalive AndAlso zom.relationshipgroup = relationshipgroup.dealer = True AndAlso Native.Function.Call(Of Boolean)("IS_CHAR_PLAYING_ANIM", zom, "amb@drunk", "bum_fight") = False Then
                            zom.Task.PlayAnimation(animzom, "bum_fight", 10.0F, animflags)
                        End If
                    Next
                End If
            End If
        End If
    End Sub
    Private Sub BehaviourNatives(ByVal ped As ped)
        If exists(ped) AndAlso ped IsNot Nothing Then
            Ped.Senserange = 0.0F
            Ped.Enemy = True
            Ped.Health = 100
            Ped.Money = 0
            Ped.AlwaysDiesOnLowHealth = True
            Ped.Weapons.RemoveAll()
            Ped.SetPathfinding(True, True, True)
            Ped.MakeProofTo(False, False, False, True, False)
            Ped.DuckWhenAimedAtByGroupMember = False
            ped.RelationshipGroup = relationshipgroup.dealer
            ped.ChangeRelationship(relationshipgroup.player, relationship.companion)
            Ped.Voice = "M_ZOMBIE"
            Native.Function.Call("SET_ANIM_GROUP_FOR_CHAR", Ped, "move_injured_lower")
            Native.Function.Call("Set_Char_Move_Anim_Speed_Multiplier", Ped, 1.5F)
            Native.Function.Call("SET_CHAR_DROWNS_IN_WATER", ped, True)
            Native.Function.Call("SET_CHAR_WILL_MOVE_WHEN_INJURED", ped, False)
            Native.Function.Call("SET_PED_DONT_DO_EVASIVE_DIVES", Ped, 1)
            Native.Function.Call("SET_CHAR_SUFFERS_CRITICAL_HITS", Ped, 1)
        End If
    End Sub
    Private Sub ZombieGoToBodyguardPosition_Tick(ByVal sender As Object, ByVal e As EventArgs) Handles MyBase.Tick
        If SON Then
            If nite Then
                If Not ztog Then
                    Dim peds As ped() = world.getpeds(player.character.position, 200.0F)
                    For Each ped As ped In peds
                        If exists(ped) AndAlso ped IsNot Nothing AndAlso ped.isingroup = True AndAlso ped = player.character = False Then
                            wait(15)
                            Dim zombs As ped() = world.getpeds(player.character.position, 200.0F)
                            For Each zom As ped In zombs
                                If exists(zom) AndAlso zom IsNot Nothing AndAlso zom.position.distanceto(ped.position) <= 3.0F AndAlso zom = player.character = False AndAlso ped = player.character = False AndAlso ped.isingroup = True AndAlso zom.isingroup = False Then
                                    zom.task.goto(ped.position, True)
                                End If
                            Next
                        End If
                    Next
                End If
            End If
        End If
    End Sub
    Private Sub BodyguardAndPlayerDamageFromZombies_Tick(ByVal sender As Object, ByVal e As EventArgs) Handles MyBase.Tick
        If SON Then
            If nite Then
                Dim pedz As ped() = world.getpeds(player.character.position, 150.0F)
                For Each ped As ped In pedz
                    If Not Exists(ped) OrElse ped Is Nothing Then
                        Continue For
                    End If
                    If exists(ped) AndAlso ped.isingroup = True AndAlso ped.isrequiredformission = True Or ped = player.character = True Then
                        If World.CurrentDate.Hour >= 21 Or World.CurrentDate.Hour <= 7 Then
                            wait(15)
                            Dim zomz As ped() = world.getpeds(player.character.position, 120.0F)
                            For Each zom As ped In zomz
                                If Not Exists(zom) OrElse zom Is Nothing Then
                                    Continue For
                                End If
                                If exists(zom) AndAlso zom IsNot Nothing AndAlso zom.position.distanceto(ped.position) <= 1.0 AndAlso zom = player.character = False AndAlso zom.position.distanceto(ped.position) <= 0.5F AndAlso zom.isalive = True AndAlso Native.Function.Call(Of Boolean)("IS_CHAR_GETTING_UP", zom) = False AndAlso zom.isinvehicle = False AndAlso zom = player.character = False AndAlso zom.isrequiredformission = False Then 'AndAlso zom.relationshipgroup = relationshipgroup.dealer = True Then
                                    If exists(ped) AndAlso ped IsNot Nothing AndAlso ped = player.character = True Then
                                        ped.health -= 2
                                    End If
                                    If exists(ped) AndAlso ped IsNot Nothing AndAlso ped.isingroup = True AndAlso ped = player.character = False Then
                                        ped.health -= 4
                                    End If
                                    If exists(ped) AndAlso ped IsNot Nothing AndAlso ped.isragdoll = False AndAlso ped.isingroup = True Then
                                        ped.ForceRagdoll(650, True)
                                    End If

                                End If
                                If exists(zom) AndAlso zom IsNot Nothing AndAlso ped.position.distanceto(zom.position) <= 2.0F AndAlso zom.isalive = True AndAlso Native.Function.Call(Of Boolean)("IS_CHAR_GETTING_UP", zom) = False AndAlso zom.isinvehicle = False AndAlso zom = player.character = False AndAlso zom.isrequiredformission = False AndAlso Native.Function.Call(Of Boolean)("IS_CHAR_PLAYING_ANIM", zom, "amb@drunk", "bum_fight") = False Then 'AndAlso zom.relationshipgroup = relationshipgroup.dealer = True
                                    If exists(ped) AndAlso ped IsNot Nothing AndAlso ped.isingroup = True Or ped = player.character = True Then
                                        zom.Task.PlayAnimation(animzom, "bum_fight", 10.0F, animflags)
                                    End If
                                    If exists(zom) AndAlso zom IsNot Nothing Then
                                        zom.task.goto(ped.position, True)
                                    End If
                                End If
                                If Not ztog Then
                                    If group.membercount >= 1 Then
                                        If exists(zom) AndAlso zom IsNot Nothing AndAlso zom.isingroup = False AndAlso zom.isrequiredformission = False AndAlso zom = player.character = False AndAlso zom.isinvehicle = False Then
                                            zom.task.runto(ped.position, True)
                                            Native.Function.Call("Set_Char_Move_Anim_Speed_Multiplier", zom, 1.5F)
                                            If exists(zom) AndAlso Native.Function.Call(Of Boolean)("IS_CHAR_PLAYING_ANIM", zom, "amb@drunk", "bum_fight") = False Then
                                                zom.Task.PlayAnimation(animzom, "bum_fight", 10.0F, animflags)
                                            End If
                                        End If
                                    End If
                                End If
                                If exists(zom) AndAlso zom IsNot Nothing AndAlso zom.health <= 50 AndAlso zom.isrequiredformission = False AndAlso zom.isingroup = False AndAlso zom = player.character = False AndAlso zom.isinvehicle = False Or exists(zom) AndAlso zom IsNot Nothing AndAlso zom.isalive = False Then
                                    zom.isonfire = True
                                End If
                            Next
                        End If
                    End If
                Next
            End If
        End If
    End Sub
    Private Sub OutsideBodyguardsFightMyZombies_Tick(ByVal sender As Object, ByVal e As EventArgs) Handles MyBase.Tick
        If SON Then
            If nite Then
                Dim pedz As ped() = world.getpeds(player.character.position, 175.0F)
                For Each ped As Ped In pedz
                    'If exists(ped) AndAlso ped.isingroup = True AndAlso ped.isrequiredformission = True AndAlso ped = player.character = False AndAlso ped.relationshipgroup = relationshipgroup.player = False Then
                    If ztog Then
                        'For Each member In group
                        If Not Exists(ped) OrElse ped Is Nothing Then
                            Continue For
                        End If
                        If exists(ped) AndAlso ped IsNot Nothing AndAlso ped.isingroup = True AndAlso ped.isrequiredformission = True AndAlso ped = player.character = False AndAlso ped.relationshipgroup = relationshipgroup.player = False AndAlso ped.relationshipgroup = relationshipgroup.dealer = False Then
                            Dim random As New Random()
                            Dim a As Integer = RandomNumber(0, 9)
                            If a = 3 Then
                                ped.task.fightagainsthatedtargets(18.0F)
                                ped.ChangeRelationship(RelationshipGroup.dealer, Relationship.hate)
                            End If
                        End If
                    End If

                    If Not ztog Then
                        If Not Exists(ped) OrElse ped Is Nothing Then
                            Continue For
                        End If
                        If exists(ped) AndAlso ped IsNot Nothing AndAlso ped.isingroup = True AndAlso ped.isrequiredformission = True AndAlso ped = player.character = False AndAlso ped.relationshipgroup = relationshipgroup.player = False AndAlso ped.relationshipgroup = relationshipgroup.dealer = False Then
                            'If World.CurrentDate.Hour >= 20 Or World.CurrentDate.Hour <= 6 Then
                            'ped.startkillingspree(False)
                            Dim random As New Random()
                            Dim a As Integer = RandomNumber(0, 9)
                            If a = 3 Then
                                ped.task.fightagainsthatedtargets(18.0F)
                                ped.ChangeRelationship(RelationshipGroup.dealer, Relationship.hate)
                                'ped.senserange = 7.0
                            End If
                        End If
                        'If World.CurrentDate.Hour = 7 Then
                        'ped.task.fightagainsthatedtargets(15.0F)
                        'End If
                    End If
                    'End If
                    If exists(ped) AndAlso ped IsNot Nothing AndAlso ped.isingroup = True AndAlso ped.isalive = False AndAlso ped = player.character = False Then
                        group.removemember(ped)
                    End If
                Next
            End If
        End If
    End Sub
    Private Sub BurningZombieDeletion_Tick(ByVal sender As Object, ByVal e As EventArgs) Handles MyBase.Tick
        If SON Then
            If nite Then
                If timer.ElapsedTime >= 2700 Then
                    'game.displaytext("Timer", 1000)
                    If World.CurrentDate.Hour >= 20 Or World.CurrentDate.Hour <= 7 Then
                        Dim pedz As ped() = world.getpeds(player.character.position, 150.0F)
                        For Each ped As ped In pedz
                            If Not Exists(ped) OrElse ped Is Nothing Then
                                Continue For
                            End If
                            If exists(ped) AndAlso ped IsNot Nothing AndAlso ped.isingroup = False AndAlso ped.isrequiredformission = False AndAlso ped = player.character = False AndAlso ped.isonfire = True Then
                                'If exists(ped) AndAlso ped IsNot Nothing AndAlso ped.isalive = True Then
                                ped.delete()
                                'End If
                                'If exists(ped) AndAlso ped IsNot Nothing AndAlso ped.isalive = False AndAlso ped.isonscreen = False Then
                                'ped.delete()
                                'End If
                            End If
                        Next
                        timer.start()
                    End If
                End If
            End If
        End If
    End Sub
    Private Sub ZombieTypesToggle()
        If SON Then
            If nite Then
                ztog = Not ztog
                If ztog Then
                    Dim peds As ped() = world.getpeds(player.character.position, 200.0F)
                    For Each ped As ped In peds
                        If exists(ped) AndAlso ped IsNot Nothing AndAlso ped.isingroup = False AndAlso ped = player.character = False Then
                            ped.delete()
                        End If
                    Next
                    'game.displaytext("Slow Infected")
                    Native.Function.Call("PRINT_STRING_WITH_LITERAL_STRING_NOW", "STRING", "Slow Infected", 4000, 1)
                Else
                    Dim pedz As ped() = world.getpeds(player.character.position, 200.0F)
                    For Each ped As ped In pedz
                        If exists(ped) AndAlso ped IsNot Nothing AndAlso ped.isingroup = False AndAlso ped = player.character = False Then
                            ped.delete()
                        End If
                    Next
                    'game.displaytext("Fast Infected!")
                    Native.Function.Call("PRINT_STRING_WITH_LITERAL_STRING_NOW", "STRING", "Fast Infected!", 4000, 1)
                End If
            End If
        End If
    End Sub
    Private Sub Scavengers()
        Dim random As New Random()
        Dim s As Integer = RandomNumber(0, 80)

        If s = 40 Then
            Dim ped As ped = world.createped(player.character.position.around(42.0F).toground)
            If exists(ped) AndAlso ped IsNot Nothing Then
                Ped.WillUseCarsInCombat = True
                Ped.AlwaysDiesOnLowHealth = True
                Behaviour(ped)
                RandomWeapons(ped)

            End If
        End If
        
    End Sub
    Private Sub RandomWeapons(ByVal p As ped)
        Dim random As New Random()
        Dim a As Integer = RandomNumber(0, 7)

        If a = 0 Then
            p.Weapons.MP5.Ammo = 999
        End If

        If a = 1 Then
            p.Weapons.BarettaShotgun.Ammo = 999
        End If

        If a = 2 Then
            p.Weapons.AssaultRifle_M4.Ammo = 999
        End If

        If a = 3 Then
            p.Weapons.BasicSniperRifle.Ammo = 999
        End If

        If a = 4 Then
            p.Weapons.DesertEagle.Ammo = 999
        End If

        If a = 5 Then
            p.Weapons.BasicShotgun.Ammo = 999
        End If

        If a = 6 Then
            p.Weapons.AssaultRifle_AK47.Ammo = 999
        End If

    End Sub
    Private Sub Behaviour(ByVal ped As ped)
        Dim random As New Random()
        Dim a As Integer = RandomNumber(1, 3)
        Dim r As Integer = RandomNumber(1, 2)
        Dim t As Integer = RandomNumber(1, 3)

        If a = 0 Then
            ped.ChangeRelationship(relationshipgroup.player, relationship.hate)
            ped.ChangeRelationship(relationshipgroup.criminal, relationship.hate)
            ped.ChangeRelationship(relationshipgroup.cop, relationship.hate)
        End If

        If a = 1 Then
            ped.ChangeRelationship(relationshipgroup.player, relationship.dislike)
            ped.ChangeRelationship(relationshipgroup.criminal, relationship.dislike)
            ped.ChangeRelationship(relationshipgroup.cop, relationship.dislike)
        End If

        If a = 2 Then
            ped.ChangeRelationship(relationshipgroup.player, relationship.neutral)
            ped.ChangeRelationship(relationshipgroup.criminal, relationship.neutral)
            ped.ChangeRelationship(relationshipgroup.cop, relationship.neutral)
        End If

        If r = 0 Then
            ped.relationshipgroup = relationshipgroup.criminal
        End If

        If r = 1 Then
            ped.relationshipgroup = relationshipgroup.cop
        End If

        If t = 0 Then
            Ped.task.FleeFromChar(player)
        End If

        If t = 1 Then
            Ped.task.goto(vector3.randomxy, True)
        End If

        If t = 2 Then
            Ped.task.wanderaround()
        End If

    End Sub
    Private Sub ZombiesAtNight()
        If SON Then
            nite = Not nite
            If nite Then
                timer.Start()
                'game.displaytext("Zombie Nights Activated")
                Native.Function.Call("PRINT_STRING_WITH_LITERAL_STRING_NOW", "STRING", "Zombie Nights Activated", 4000, 1)
                player.character.health = 100
                player.character.armor = 100
                wait(50)
                World.UnlockDayTime()
                wait(10)
                Native.Function.Call("SET_TIME_OF_DAY", 18, 0)
                Dim peds As ped() = world.getallpeds()
                For Each ped As ped In peds
                    If exists(ped) AndAlso ped IsNot Nothing AndAlso ped.isingroup = False AndAlso ped = player.character = False Then
                        ped.delete()
                        world.peddensity = 0.0
                    End If
                Next
            Else
                'game.displaytext("Zombie Nights Deactivated")
                Native.Function.Call("PRINT_STRING_WITH_LITERAL_STRING_NOW", "STRING", "Zombie Nights Deactivated", 4000, 1)
                player.character.health = 100
                player.character.armor = 100
                player.wantedlevel = 0
                timer.Stop()
                Dim vehicles3 As vehicle() = world.getallvehicles()
                For Each vehicle As Vehicle In vehicles3
                    If exists(vehicle) AndAlso vehicle IsNot Nothing Then
                        vehicle.nolongerneeded()
                    End If
                Next
                Dim peds As ped() = world.getpeds(player.character.position, 200.0F)
                For Each ped As ped In peds
                    If exists(ped) AndAlso ped IsNot Nothing AndAlso ped = player.character = False Then
                        ped.delete()
                    End If
                Next
            End If
        End If
    End Sub
    Private Sub ScriptOn()
        SON = Not SON
        If SON Then
        Else
        End If
    End Sub
End Class
Public Class WorldFires
    Inherits Script
    Private SON As Boolean = False
    Private fevent As Boolean = False
    Private Group As Group = Player.Group
    Public Sub New()
        Me.interval = 921
        BindKey(Settings.GetValueKey("Toggle Script", "SETTINGS", Keys.F7), New KeyPressDelegate(AddressOf ScriptOn))
        BindKey(Settings.GetValueKey("Toggle World Fires And Explosions", "SETTINGS", Keys.PAGEUP), New KeyPressDelegate(AddressOf RandomFireEvents))
    End Sub
    Private Function RandomNumber(ByVal min As Integer, ByVal max As Integer) As Integer
        Dim random As New Random()
        Return random.Next(min, max)
    End Function
    Private Sub RandomFireEvents()
        If son Then
            fevent = Not fevent
            If fevent Then
                Native.Function.Call("PRINT_STRING_WITH_LITERAL_STRING_NOW", "STRING", "Fires Activated", 4000, 1)
                'game.displaytext("Fire And Exposions Activated")
            Else
                Native.Function.Call("PRINT_STRING_WITH_LITERAL_STRING_NOW", "STRING", "Fires Deactivated", 4000, 1)
                'game.displaytext("Fire And Exposions Deactivated")
            End If
        End If
    End Sub

    Private Sub RandomFires_Tick(ByVal sender As Object, ByVal e As EventArgs) Handles MyBase.Tick
        If son Then
            If fevent Then
                Dim random As New Random()
                'Dim ex As Integer = RandomNumber(0, 50) 'chance for explosion
                Dim rf2 As Integer = RandomNumber(0, 5) 'chance for random bigger fire
                'Dim r As Integer = RandomNumber(25, 45) 'radius
                'Dim f As Integer = RandomNumber(8, 30) 'explosion force

                'If ex = 25 Then
                'wait(5)
                'world.addexplosion(player.character.position.around(r), explosiontype.rocket, f, True, False, False)
                'End If

                If rf2 = 2 Then
                    wait(5)
                    Dim objdis2 As gta.object() = world.getallobjects()
                    For Each obj As gta.object In objdis2
                        If exists(obj) AndAlso obj IsNot Nothing AndAlso obj.position.distanceto(player.character.position) >= 19.0 AndAlso obj.position.distanceto(player.character.position) <= 22.0 Then
                            world.addexplosion(obj.Position.toground, explosiontype.molotov, 3.0F, False, True, False) 'simulates fire effect
                        End If
                    Next
                    'Dim objsca As gta.object() = world.getallobjects("cj_scaffold_5")
                    'For Each obj As gta.object In objsca
                    'If exists(obj) Then
                    'world.addexplosion(obj.GetOffsetPosition(New Vector3(0.0F, 0.0F, 2.5F)), explosiontype.molotov, 5.0F, False, True, False)
                    'End If
                    'Next
                End If
            End If
        End If
    End Sub
    Private Sub ScriptOn()
        SON = Not SON
        If SON Then
        Else
        End If
    End Sub
End Class
Public Class HeliAttacks
    Inherits Script
    Private SON As Boolean = False
    Private heli As Boolean = False
    Private nite As Boolean = False
    Private timer As New GTA.Timer
    Public Sub New()
        Me.interval = 1000
        BindKey(Settings.GetValueKey("Toggle Script", "SETTINGS", Keys.F7), New KeyPressDelegate(AddressOf ScriptOn))
        BindKey(Settings.GetValueKey("Toggle Zombie Night Script", "SETTINGS", Keys.F4), New KeyPressDelegate(AddressOf ZombiesAtNight))
        BindKey(Settings.GetValueKey("Toggle Helicopter Attacks", "SETTINGS", Keys.H), New KeyPressDelegate(AddressOf RandomHeliAttacks))
    End Sub
    Private Function RandomNumber(ByVal min As Integer, ByVal max As Integer) As Integer
        Dim random As New Random()
        Return random.Next(min, max)
    End Function
    Private Sub Flybys_Tick(ByVal sender As Object, ByVal e As EventArgs) Handles MyBase.Tick
        If son Then
            If Not nite Then
                If heli Then
                    If timer.ElapsedTime >= 90000 Then
                        Dim random As New Random()
                        Dim b As Integer = RandomNumber(1, 4)

                        If b = 2 Then
                            Dim x As Integer = RandomNumber(-42, 42)
                            Dim y As Integer = RandomNumber(-42, 42)
                            Dim z As Integer = RandomNumber(120, 130)
                            Dim vehicle As vehicle = world.createvehicle("maverick", Player.Character.GetOffsetPosition(New vector3(x, y, z)))
                            If exists(vehicle) AndAlso vehicle IsNot Nothing Then
                                Native.Function.Call("FREEZE_CAR_POSITION", vehicle, False)
                                Vehicle.Nolongerneeded()
                                Vehicle.MakeProofTo(False, False, False, True, True)
                                Native.Function.Call("FREEZE_CAR_POSITION", vehicle, False)

                                Dim p As Ped = Vehicle.CreatePedOnSeat(vehicleseat.driver)
                                If exists(p) AndAlso p IsNot Nothing Then
                                    p.BecomeMissionCharacter()
                                    p.Task.DriveTo(player.character.position.around(15.0F), 35.0, True)
                                    PilotAndCrew(p)
                                    p.Weapons.deserteagle.Ammo = 99999
                                End If
                                'wait(10)
                                p = Vehicle.CreatePedOnSeat(vehicleseat.rightfront)
                                If exists(p) AndAlso p IsNot Nothing Then
                                    p.BecomeMissionCharacter()
                                    PilotAndCrew(p)
                                    p.Weapons.mp5.Ammo = 99999
                                End If
                                p = Vehicle.CreatePedOnSeat(vehicleseat.leftrear)
                                If exists(p) AndAlso p IsNot Nothing Then
                                    p.BecomeMissionCharacter()
                                    PilotAndCrew(p)
                                    p.Weapons.mp5.Ammo = 99999
                                End If
                                p = Vehicle.CreatePedOnSeat(vehicleseat.rightrear)
                                If exists(p) AndAlso p IsNot Nothing Then
                                    p.BecomeMissionCharacter()
                                    PilotAndCrew(p)
                                    'Dim blip As blip = blip.addblip(p)
                                    'blip.color = blipcolor.purple


                                    Dim w As Integer = RandomNumber(1, 2)
                                    If w = 0 Then
                                        p.Weapons.grenades.Ammo = 99999
                                    End If
                                    If w = 1 Then
                                        p.Weapons.MolotovCocktails.Ammo = 99999
                                    End If
                                End If
                            End If
                        End If
                        If b = 1 Then
                            Dim x As Integer = RandomNumber(-42, 42)
                            Dim y As Integer = RandomNumber(-42, 42)
                            Dim z As Integer = RandomNumber(120, 130)
                            Dim vehicle As vehicle = world.createvehicle("ANNIHILATOR", Player.Character.GetOffsetPosition(New vector3(x, y, z)))
                            If exists(vehicle) AndAlso vehicle IsNot Nothing Then
                                Native.Function.Call("FREEZE_CAR_POSITION", vehicle, False)
                                Vehicle.Nolongerneeded()
                                Vehicle.MakeProofTo(False, False, False, True, True)
                                Native.Function.Call("FREEZE_CAR_POSITION", vehicle, False)

                                Dim p As Ped = Vehicle.CreatePedOnSeat(vehicleseat.driver, "M_Y_Cop")
                                If exists(p) AndAlso p IsNot Nothing Then
                                    p.BecomeMissionCharacter()
                                    p.Task.DriveTo(player.character.position.around(15.0F), 35.0, True)
                                    PilotAndCrew2(p)
                                    p.Weapons.glock.Ammo = 99999
                                End If
                                'wait(10)
                                p = Vehicle.CreatePedOnSeat(vehicleseat.rightfront, "M_Y_Cop")
                                If exists(p) AndAlso p IsNot Nothing Then
                                    p.BecomeMissionCharacter()
                                    PilotAndCrew2(p)
                                    p.Weapons.mp5.Ammo = 99999
                                End If
                                p = Vehicle.CreatePedOnSeat(vehicleseat.leftrear, "M_Y_Cop")
                                If exists(p) AndAlso p IsNot Nothing Then
                                    p.BecomeMissionCharacter()
                                    PilotAndCrew2(p)
                                    p.Weapons.mp5.Ammo = 99999
                                End If
                                p = Vehicle.CreatePedOnSeat(vehicleseat.rightrear, "M_Y_Cop")
                                If exists(p) AndAlso p IsNot Nothing Then
                                    p.BecomeMissionCharacter()
                                    PilotAndCrew2(p)
                                    'Dim blip As blip = blip.addblip(p)
                                    'blip.color = blipcolor.purple
                                    p.Weapons.grenades.Ammo = 99999
                                End If
                            End If
                        End If
                        timer.start()
                    End If
                    'wait(250)
                    Dim vehiclez As vehicle() = world.getallvehicles() '(player.character.position, 2500.0F, "maverick")
                    For Each v As vehicle In vehiclez
                        If exists(v) AndAlso v IsNot Nothing AndAlso v.isdriveable = False AndAlso v.isonscreen = False AndAlso v.position.distanceto(player.character.position) >= 18.0 AndAlso v.model = "maverick" = True Then
                            v.delete()
                        End If
                        If exists(v) AndAlso v IsNot Nothing AndAlso v.isdriveable = False AndAlso v.isonscreen = False AndAlso v.position.distanceto(player.character.position) >= 18.0 AndAlso v.model = "ANNIHILATOR" = True Then
                            v.delete()
                        End If
                    Next
                End If
            End If
        End If
    End Sub

    Private Sub RandomHeliAttacks()
        If son Then
            If Not nite Then
                heli = Not heli
                If heli Then
                    Native.Function.Call("PRINT_STRING_WITH_LITERAL_STRING_NOW", "STRING", "Helicopter Attacks Activated", 4000, 1)
                    'game.displaytext("Helicopter Attacks Activated")
                Else
                    Native.Function.Call("PRINT_STRING_WITH_LITERAL_STRING_NOW", "STRING", "Helicopters Attacks Deactivated", 4000, 1)
                    'game.displaytext("Helicopters Attacks Deactivated")
                End If
            End If
        End If
    End Sub
    Private Sub PilotAndCrew(ByVal p As ped)
        If exists(p) AndAlso p IsNot Nothing Then
            p.Health = 100
            p.Armor = 50
            p.Enemy = True
            p.SetPathfinding(True, True, True)
            p.WillFlyThroughWindscreen = False
            p.WillDoDrivebys = True
            p.AlwaysDiesOnLowHealth = True
            P.PriorityTargetForEnemies = True
            p.relationshipgroup = relationshipgroup.criminal
            p.ChangeRelationship(relationshipgroup.cop, relationship.hate)
            p.ChangeRelationship(relationshipgroup.player, relationship.hate)
            p.ChangeRelationship(relationshipgroup.dealer, relationship.hate)
        End If
    End Sub
    Private Sub PilotAndCrew2(ByVal p As ped)
        If exists(p) AndAlso p IsNot Nothing Then
            p.Health = 100
            p.Armor = 100
            p.Enemy = True
            p.SetPathfinding(True, True, True)
            p.WillFlyThroughWindscreen = False
            p.WillDoDrivebys = True
            p.AlwaysDiesOnLowHealth = True
            P.PriorityTargetForEnemies = True
            p.relationshipgroup = relationshipgroup.cop
            p.ChangeRelationship(relationshipgroup.criminal, relationship.hate)
            'p.ChangeRelationship(relationshipgroup.player, relationship.hate)
            p.ChangeRelationship(relationshipgroup.dealer, relationship.hate)
        End If
    End Sub
    Private Sub ZombiesAtNight()
        If SON Then
            nite = Not nite
            If nite Then
            Else
            End If
        End If
    End Sub
    Private Sub ScriptOn()
        SON = Not SON
        If SON Then
            timer.Start()
        Else
            timer.Stop()
            Dim vehiclez As vehicle() = world.getvehicles(player.character.position, 3000.0F, "maverick")
            For Each v As vehicle In vehiclez
                If exists(v) AndAlso v IsNot Nothing Then
                    v.delete()
                End If
            Next
            Dim vehicles As vehicle() = world.getvehicles(player.character.position, 3000.0F, "ANNIHILATOR")
            For Each v As vehicle In vehicles
                If exists(v) AndAlso v IsNot Nothing Then
                    v.delete()
                End If
            Next
        End If
    End Sub
End Class